Introduction to OziExplorerCE

OziExplorerCE is moving map software for PocketPC and Window CE devices (PDA's), it uses raster map images which are either scanned or purchased in digital format. It allows you to track your position received from a GPS on a map.

OziExplorerCE is not route planning software, you cannot request the best way to get from point A to point B, if you require this type of software then OziExplorerCE is not for you. However OziExplorerCE will allow you to create your own routes on the map and navigate along those.

The design philosophy is you plan your trip using the full PC OziExplorer on you PC and then transfer your waypoints and other data to your CE device for use by OziExplorerCE. After your trip you can transfer any collected data back to the PC OziExplorer for analysis.

OziExplorerCE does not run on Palm Pilots (or similar devices) and there is no plan to produce a version for these platforms.

OziExplorerCE runs on PocketPC and Windows CE devices but it relies on map calibrations etc to be provided by the full PC version of OziExplorer, in the respect OziExplorerCE can be considered an add-on to the full Oziexplorer software, you also need the full OziExplorer to calibrate maps, plan trips by adding waypoints etc.

The unregistered OziExplorerCE will work with the unregistered OziExplorer but the limitations of both packages will apply.

To get the full use of OziExplorerCE you must have a registered copy of OziExplorerCE and a registered copy of the full PC OziExplorer.


OziExplorer CE History

Development Version 1.11.6a

Note : This version of OziExplorerCE is only for PDA's with WindowsCE version 3.00 or later (PocketPC, PocketPC 2002, PocketPC 2003, Windows Mobile 2003.Handheld PC Pro). Older version of WindowsCE do not have the functions available to allow use of some of the code libraries required for the newer functions in OziExplorerCE.

Fixes

  • On PDA's with PocketPC 2003 using the Widcomm Bluetooth drivers the map could become corrupted as it scrolled. This was not the fault of OziExplorerCE but some sort of interaction with the bluetooth drivers causing threaded code not to execute correctly. A workaround to mask the problem has been done.

Changes

  • Added support for ozfx3 image files
  • Added support for ECW map images. Because the code libraries available only suit the ARM cpu the ECW support is only available for PDA's with ARM cpu's.
  • The buttons on the PDA can now be configured by the user to do tasks selected from a list. The Screen Control buttons can also be configured. This is done from a separate program which runs on the PC and is available for download.

Beta Version 1.11.4

Fixes

  • nil

Changes

  • Changed the way OziExplorerCE writes its configuration files. They were being written as 8 bit ASCII characters, this caused problems with the language versions of Windows which use 16 bit characters (wide characters), the text in the configuration files was scrambled. OziExplorerCE now writes all its configuration files using wide characters.
    • What does this mean
      • People with these versions of Windows can now use OziExplorerCE
      • All configuration files have been changed in name (from .ini to .cfg), this means some minor configuration parameters will be lost. The main configuration file OziExplorer1.ini will be used until the new OziExplorer1.cfg file is created (by pressing the OK button on a configuration dialog). After the OziExplorer1.cfg file is created the OziExplorer1.ini file can be deleted.
      • It is suggested that you check the configuration parameters to make sure they are ok.
      • Map Search indexes have also changed so indexing will be automatically redone (the .fdx1 and .ndx1 files are no longer used and can be deleted).
  • When turning the PDA off sometimes the communication with GPS devices is lost, OziExplorerCE now attempts to re-establish the communication. Communication cannot always be re-established as it may be caused by bugs in the device drivers or the OS, this seems more likely to happen with PocketPC 2003 PDA's. Bluetooth on PocketPC 2003 PDA's seems to be a major problem.
  • The Configuration option for the communication port now only shows the actual ports which the PDA has installed and a description of each port is shown. Note - the PDA does not always give a meaningful description of its ports and also shows ports which are reserved for its own internal use.
  • Added a new configuration option to allow the user to specify if Communication with the GPS is automatically turned on OziExplorerCE is started. The option is on a tab on the "General Settings" configuration dialog.
  • Added a new configuration option to allow the user to specify if the "Screen Control" is automatically turned on when communication with the GPS is started. The option is on a tab on the "General Settings" configuration dialog.
  • Added a new configuration option to allow the user to see the Pixel x,y coordinates of the map when the stylus is pressed on the map and released (before the menu pops up). The option is on a tab on the "General Settings" configuration dialog.
  • Added a "PDA reset" option to the Help menu, choosing this option is the same as pressing the reset button of the PDA.

Beta Version 1.11.3

Fixes

  • Have written a work around for what appears to be a problem in Pocket PC 2003 - this caused OziCE to lockup if using maps on a CF card and the PDA was turned off and on while OziCE was running and the map is then scrolled. Pocket PC 2003 seems to loose the handle to any files which are open on a CF card when the device is turned off and on again which means any attempt to read the image file after that will fail.
    • If using maps on a CF card the lockup occurred.
    • If using maps on a CF card but also have a SD card inserted in a SD card slot the lockup did not occur (the presence of the SD card seems to make things work ok).
    • If using maps on a SD card there is no problem.
    • If using maps in main memory there is no problem.

Changes

  • some internal changes to code.

Beta Version 1.11.2

Fixes

  • Fixed some minor memory buffer overflows in the Grid position display, the problem only happened when the position went out of the legal values for the grid numbers. This could cause problems on all Operating Systems but seemed to be particularly severe on PocketPC 2003.

Changes

  • When using the GGA or GLL sentence and there was not also a VTG sentence the map position updated ok but the position at the top of the screen did not update.

Beta Version 1.11.1

Some users still think that you need to place map and data files in the "My Documents" folder, this has not been necessary for quite a few versions now, any folder can be used. To put it another way - You no longer "need" to use the "My Documents" folder for anything unless you want to.

Fixes

  • Fixed a problem where when certain maps were loaded they caused erratic behavior because of a memory buffer overrun, this problem only affected a small percentage of maps at a particular aspect ratio so most users of OziExplorerCE did not experience the problem.
  • The create Waypoint button on page 2 of the Screen Control was not working, fixed.

Changes

  • Made a change to the map open function, if the map cannot be opened OziExplorer will now do a few retries, this is to try and allow for Flash card startup times when OziExplorerCE is being started using a hardware button and the "last map" is being loaded..

Development Version 1.11.0

For all the changes since beta version 1.10.9 see the sections below for 1.10.9d and 1.10.9e as well.

Fixes

  • The editing of positions using certain grids still did not work (example NZG), now fixed.
  • The "Navigation Info" bar now appears (if turned on) when navigation to a Name Search record is activated.
  • There have also been some other minor fixes.

Changes

  • The number on the screen for the map zoom level has been made slightly larger.
  • The map name has been removed from the caption (previous development version) and now appears at the bottom of the map screen.
  • Changes to waypoints are now checked and you are notified if you attempt to close OziExplorerCE or load a new file without saving the changes.
  • The "Direction to Steer" arrow now also works for navigation to a waypoint.
  • Added new commands to the OziCE API to send NMEA strings to OziCE, see the API documentation for details.

Development Version 1.10.9e

Fixes

  • More problems with track replay relating to datums fixed.

Changes

  • Some fine tuning of the new map searching.

Development Version 1.10.9d

Fixes

  • Track replay would position the track incorrectly if the GPS NMEA Output Datum setting in OziCE was not WGS84.
  • Fixed a bug when editing position formats for some grids.
  • Waypoint names longer than 20 characters could cause problems - now fixed.

Changes

  • Faster map searching - the map files are now indexed and the indexes are stored in the "System Files" folder attached to the main "OziExplorer" folder. Many hundreds of maps can now be searched in a couple of seconds.
  • The "Screen Control" has been modified and now includes
    • The ability to display the screen control buttons (top left of screen turns this on and off) - screen buttons are shown as transparent over the top of the map.
    • 2 pages of screen control buttons - top middle button cycles the screens
    • Added buttons to the screen control to find next "more detailed map" and "less detailed map"
  • New options on the Map menu / Find Maps to find more and Less detailed maps (same function as the new screen control buttons).
  • Added support for the Vertical Near-Sided Perspective Map projection
  • The Map name of the loaded map is now placed on the window caption (may be truncated for PocketPC devices). Palm PC's do not have a caption bar so this doesn't apply.

Beta 1.10.9

Some users still think that you need to place map and data files in the "My Documents" folder, this has not been necessary for quite a few versions now, any folder can be used.

To put it another way - You no longer "need" to use the "My Documents" folder for anything unless you want to.

Fixes

  • Some minor issues with the file open and path selection dialogs have been fixed - mostly to do with display of the icon for rt2 files.
  • The user pointer file was not being read properly if there were blank lines in the file, now fixed.

Changes

  • The ability to make a route waypoint silent has been added to the popup menu when you press on a route waypoint on the map, this allows silent waypoints to be created easily.
  • The ability to add a normal waypoint to the end of a route has been added to the popup menu when you press on a normal waypoint on the map.
  • Normal Waypoints can now be added/inserted into a route from the Route Properties dialog.
  • Waypoint and Route Waypoint positions can now be edited.
  • There is now an auto-zoom function, when you enter a route waypoint proximity zone the map will zoom to the value specified in Route configuration. Example you may have the map at 50% zoom for normal travel so you can see more area but specify 100% zoom as the zoom to use when a proximity is entered. There are new options on the Route configuration dialog to control this.
  • The playing of the distance to the next turn (when you enter a route proximity zone) is now linked to distance travelled, it will no longer keep repeating the distance if you are stopped.
  • Added special UTM zone handling for zones 31V, 31X,33X,35X and 37X.
  • The moving map user pointers now work differently. You can now have many different pointers, the files must have a .mmp file extension and the file names will appear in the list of pointers you can select on the Moving map Configuration dialog. In the last version the user pointer file was called "userpointer1.dat" you must rename this file to a different name but with an extension of .mmp example aeroplane.mmp
  • There is now a simple API available for OziCE to allow programs to be written to place multiple symbols on the map, useful for displaying multiple vehicles on the map at the same time.

Beta 1.10.8a

Fixes

  • In some circumstances the new OZF2 images showed extra garbled map on the right and bottom of the image, now fixed.
  • Distances in the route list and the list of tracks did not display correctly when the units were nautical miles, now fixed.
  • An incorrect message was displayed if the Com port could not be opened, now fixed.

Changes

  • For "Air" mode the speed now displays as a whole number for speeds greater than 10 and 1 decimal for speeds less than 10.
  • For "Air" mode the bearings now display as whole number with leading zeros - example 23.6 degrees now displays as 024.

Beta 1.10.8

Fixes

  • Fixed some tooltip text.
  • Fine tuned the scale window some more, should be ok now.

Changes

There have been numerous internal changes to OziExplorerCE code to allow the changes below to be added. I have no doubt that we will also have added some bugs, if you find any let us know and they will be fixed quickly.

Waypoints

  • Added a Waypoint Toolbar
  • Create Waypoints on screen with the stylus.
  • Turn On/Off automatic waypoint logging - defaults to On - option is on the "File > Waypoints > Log Waypoints to File" option

Tracks

  • Added a Track Toolbar.
  • 5 additional tracks are now available - accessed from the Track Toolbar - a total of 20000 track points can be loaded (the total sum of all points in the 5 tracks).
  • The track in the previous version is still available and still has the previous limit of 1000 points (keeps the last 1000) - this track is exclusively used for logging the track from the Gps for display on screen (the Memory Track Log). Remember the Gps track can still be logged to the Track Log file (ceTrack.plt) with an unlimited number of points.
  • The logged track (if large) now loads much faster at program Startup (if you have the "Load Track Log" ticked in General Settings configuration). Remember it only loads the last 1000 track points into the Memory Log Track.
  • Turn On/Off automatic track point logging - defaults to On - option is on the "File > Track Log > Log Track to File" option - in the previous version you had to set the log distance to 0.
  • Create track points on screen with the stylus.
  • The Track Configuration dialog has options for the 5 new tracks.
  • There is a dialog which shows the details of each track - description, number of points, length of the track.
  • The track detail dialog is useful for measuring distances - draw a track from point A to point B - open the list of tracks and the distance is shown.

Routes

  • Removed the Delete button from the Route Create Toolbar - deleting is now done by holding the stylus on the object for 1 second to get a menu and then select the Delete option on the menu.
  • The Delete button has been replaced by a button to Show/Hide the Waypoint names.

Map

  • Extra levels of zoom have been added - 90%, 80%, 70%, 60% and 40%". These additional zooms can be selected in the "General Settings" configuration.
  • The zoom levels 90%, 80%, 75%, 70%, 60%, 50% and 40% are created "on the fly". Currently the 75% and 50% zooms can be included in the ozf2 file, there is now no need to include them, this reduces the size of the file considerably. However if the zooms are in the ozf2 file they will be used in preference to the ones created "on the fly".
  • To make these zoom levels look ok they are smoothed using a bilinear filter. Slow PDA's may not be able to handle the smooth zoom option. The Smooth Zoom can be turned off in the "General Settings" configuration.

Other

  • Drag objects (waypoints and track points) on screen with the stylus.
  • There is a new button on the toolbar and an option on the Map menu to Lock/Unlock the dragging of objects.
  • The "Drag Map" button on the toolbar and the "Drag Map" menu option have been removed as they are no longer needed, the map can now be dragged at any time using the stylus.
  • Press the stylus on an object for 0.5 seconds and release to see a "hint" about the object.
  • Pressing the stylus on the map for 0.5 seconds and release gives the position of the point pressed.
  • Press the stylus on an object or the map for 1 second to activate a popup menu.
  • Added extra buttons to the handheld toolbar (the PocketPC version already had these buttons).
  • Generally the operation has been fine tuned and you should find that windows refresh quicker and so on.

Beta 1.10.7

Bugs

  • Locking up on the HP620 (and similar devices) has been fixed, this was caused by a bug in the compiler for these devices.
  • Loading waypoints on the HPC 2.00 and PPC 2.11 platform has been fixed, same cause as above.
  • Hiding the OziExplorerCE toolbar (on PocketPC) would cause the map not to draw all the way down the screen.
  • The waypoint file was being written incorrectly and could not be read properly by PC OziExplorer.
  • When reading the user datums file "datums.dat" it would not read the last line from the file unless it had a "carriage return/line feed" at the end of it - now fixed.

Changes

  • Tooltips (hints) are now provided for most toolbar and dialog buttons. This is for PalmPC and PocketPC only (handhelds do not have the ability). Hold a button down and the tooltip will appear, slide the stylus off the button and the option will not be activated.
  • The ability to select a "Mode" of operation is now available on the Moving map configuration - the Modes are Air, Land, Marine. This results in a change in some of the terminology and also the way route auto-prompting works, see the help for details.
  • A window which displays a "Direction to Steer" arrow has been added, this is for Marine and Air use, the option is on the Route Navigation toolbar.
  • Waypoint names and descriptions can be edited via a properties dialog, the option is on the waypoint list.
  • The waypoint properties dialog can be configured to open automatically when a new waypoint is created. This option is on the View / Waypoints menu.
  • Route Waypoint names can be edited the option is on the route properties window.
  • The distance and bearing between waypoints is now included in the Route properties window.
  • The route waypoint properties dialog can be configured to open automatically when a new waypoint is created. This option is on the View / Route menu.
  • Map Features and Map Comments are now displayed on the map.
  • When adding or inserting route waypoints the screen is no longer centered on the position, this makes adding/inserting new route waypoints much smoother.
  • The map can be dragged without having to have the "Drag Map" option/button activated. If you click on the map it is re-centered to the position clicked, if you drag the stylus the map is dragged. If you are adding/insert a route waypoint a click on the map will add the waypoint but if you drag the stylus the map is dragged and a waypoint is not added - makes creating a route much easier.
  • The Satellite View dialog can now be set to automatically display when Communication is started and automatically hide when the GPS obtains a fix. See the "Auto" checkbox on the Satellite View dialog.
  • If the GPS does not have a fix the letters NF are now displayed in Red on the status line.
  • If the software is "Busy" still refreshing the screen and another NMEA sentence is received the words "Busy" on a blue or green background is displayed on the status line - this will only occur on slower devices. Basically it means the incoming sentence is not processed.
  • In Name Search, if the record in the database is marked as "Deleted" then OziExplorerCE will put an "*" at the start of the record display.
  • Moving Map pointer can now be set to show more of the map ahead in the direction of travel. There are 5 levels, 0 = screen center, 1..5 shows more map ahead. This option is called "Screen Position" and is on the Moving Map configuration.
  • When the GPS looses fix the voice prompt will not be said unless the fix is lost for longer than 5 to 10 secs.
  • OziExplorerCE can now calculate the Magnetic Variation for any location and use it if the magnetic variation is not available from the user entry on the map or from the GPS.
  • Added a special port for the Navman GPS sleeve, OziExplorer can now automatically determine which com port the Navman is using.
  • Added the Lambert Azmithual Equal Area map projection.
  • Added the VICGRID grid (for Victoria Australia).
  • Added support for polynomial calibration.
  • "Search for more Detailed Map" option On/Off is now available on the Screen Control.

For changes we are considering for future versions of OziExplorerCE have a look at the "Future Changes" page on our web site (select from the menu). Scroll down to the OziExplorerCE section.

Beta 1.10.6

Bugs

  • Under some circumstances the use of silent waypoints in route navigation could cause the program crash, now fixed.
  • Waypoint and Route waypoint proximities were always being displayed as though the unit was meters even though the unit setting in OziCE was an imperial unit.

Changes

  • Changed the "scan for more detailed map" interval from 30 to 60 seconds, as people are keeping more maps on larger flash cards they are taking longer to scan so it is important not to tie up the device scanning maps all the time. We will make this a configurable option in a future version.
  • The "insert waypoint in a route" function would not always insert a waypoint, this has been altered so a waypoint is inserted even if the absolute correct location in the route cannot be determined, use the move buttons in the Route Properties dialog to move the waypoint to the correct location.
  • Turning on communication now turns off the route waypoint add/insert buttons.
  • Turning on "Drag Map" now turns off the route waypoint add/insert buttons.
  • Turning on the route waypoint add/insert buttons turns off the "Drag Map" mode.

Beta 1.10.5

Bugs

  • Fixed proximity waypoints causing a crash if they do not have files attached.
  • Fixed a couple of very minor memory leaks..

Changes

Note : The new Route auto-prompting, the new type of Route, and the faster screen drawing techniques will be added to PC OziExplorer as time permits.

  • The Help has been modified to include the new features.
  • The ability to do auto-prompting along a route has been added. OziCE will automatically tell you to turn right and left and so on as each route waypoint is approached. OziCE works out the turn angle and direction itself and selects the appropriate symbol and wav file(s) and even says the distance to go. Check out the tutorial help section and run a demo of what it can do. Note this is not auto-routing, you must define the route manually, but you do not have to define the wav files played or the symbols shown. Please note this new feature is completely separate from the proximity setting and file attachments used in normal waypoints.
  • You can create a route within OziCE by point and click, check out the route creation toolbar.
  • The route in OziCE has completely changed * only one route can be loaded at a time * it is a new type of route * a route file from PC OziExplorer can be loaded , if there is more than 1 route defined in the file a selection dialog will allow the selection of 1 of the routes * any routes saved will be saved in the rt2 format, PC OziExplorer cannot read this format yet.
  • There is now a dialog to show the waypoints in a route (editing ability will be added in future).
  • The Route configuration dialog now includes a new tab to allow the navigation parameters to be entered (such as route proximity).
  • New Toolbars have been added for "Route Creation" and "Route Navigation".
  • The screen is now redrawn without flickering (there is an option to use the old drawing method in configuration (General Settings) if you like to see everything being drawn).
  • The Text status lines now redraw without flickering.
  • The drawing of objects (tracks, waypoints and so on) on the screen has been speeded up considerable by using new techniques.
  • Added a button for "Search for more detailed Map" to toolbar (pocket PC only)
  • Removed Wp list button from the PocketPC toolbar - this will be added to a separate waypoint toolbar in future.
  • The Speed panel now automatically hides itself when not communicating with the GPS.
  • The Navigation panel now automatically hides itself when not in Navigation mode (along a Route or to a Waypoint).
  • Added an option on the NMEA (GPS) configuration dialog to ignore NMEA strings if the Invalid Fix flag is set to Invalid.
  • Now Displays "NF" (No Fix) on the status line (instead of "ON") if the GPS does not have a valid fix.
  • There is a Voice prompt when the GPS loses and gains a Fix
  • The incoming data is filtered to stop the moving map pointer (the arrow) from flickering around when standing still.
  • Faster track loading of very large track files - the bigger the file the more the saving (note that only the last 1000 track points in the file are retained, the same as it has always been).
  • The bearing displayed on the Navigation Panel will display in the configured unit (true or Magnetic) - if the unit is set to Magnetic but the magnetic Variation cannot be found the bearing is displayed as True but will have a "t" appended to it.

Beta 1.10.4

Bugs

  • Fixed major memory leak when opening new maps.
  • Fixed a couple of other minor memory leaks.
  • Fixed Scale window bug not drawing correctly when scale changed.

Changes

  • Added support for the Montana SP grid.

Beta 1.10.3

Bugs

  • 125% zoom selection from the menu fixed

Changes

  • Waypoint file loaded now faster by a factor of 4.
  • Track loading faster by about 20%.
  • NameSearch will now work with names databases that are not exactly in our published format - as long as the field names are the same they can be used. The MAJOR_CODE field need not be in the database.

Beta 1.10.2

Bugs

  • many, many, minor fixes.

Changes

  • The com port number can now be configured. This allows use of plug in GPS cards which configure themselves as a serial port (typically com port 4 or com port 5).
  • A special port called "GPS1" has been created for use with the NAVMAN GPS sleeve (at least some versions of it). Other versions use COM4 or COM5 or similar. The baud rate may need to be set to 57600 for these units
  • A PVT mode has been added for Garmin GPS Receivers.
  • For PalmPC and PocketPC an "Open File" dialog has been written to replace the standard Open File dialog provided by the System, this means any files which need to be opened in OziExplorerCE can be opened from any folder not just "My Documents". If you liked the "normal" Palm/Pocket PC behavior where files can only be opened from the "My Documents" folder there is a check box in OziCE System configuration to enable it.
  • When saving files a new dialog has been added which allows the filename to be entered/edited/selected and the folder to be chosen.
  • All configuration options which require a Path now allow the path to be selected from an "explorer" type interface.
  • An "Open Recent Maps" option has been added to the File menu - keeps the last 10 maps in the list.
  • Name Search has been added - uses the same name search databases as the PC OziExplorer.
  • The NMEA sentences being received can now be displayed - Map menu / Display NMEA Input.
  • The Satellites being tracked by the GPS can now be viewed on screen. The GPS must output the NMEA GSV sentence for this function - Map Menu / View Satellites.
  • Can now read the user datum file "datums.dat", see the PC OziExplorer help for details on how to create this file.
  • A simple Waypoint list (more to be done) is available. It allows you to locate a waypoint on a map, delete a waypoint, and start navigation (go to) to a waypoint.
  • The ability to navigate to a waypoint has been added, there is an option on the View Menu to show the Navigation Information. Navigation along a route will be added soon. Navigation to a Waypoint is specified from the Waypoint List. Cancel Navigation is on the Map menu.
  • Entering a Waypoint Proximity can now trigger the display of a Symbol (see PSymbols folder) and play a sound file (.wav) (or any other type of file actually). These have to be set up in PC OziExplorer which also has this functionality. In PC OziExplorer a waypoint proximity zone needs to be specified in waypoint properties (the distance) and the various files attached to the waypoint (see the OziCE help for details).
  • A user defined moving map pointer has been added, see the file userPointer.dat, instructions are in the file.
  • More datums have been added
  • More Map Projections and Grid systems have been added
  • 125% Zoom added
  • More buttons have been added to the small toolbar for PocketPC's (for Name Search, the Waypoint List and Map View).
  • OziCEgps - support for the D109 waypoint format for new model Garmins
  • OziCEgps - support for Magellans with the time included in downloaded tracks, the time is now read from the track.

Beta 1.09.2

Bugs

  • OziCEgps (Beta 1.01) - Fixed the problem with downloading on HP (SH3 cpu) devices. The previous version would freeze at the "Getting GPS Id" stage. This took some time to solve and eventually I purchased a HP 680 for testing. It turned out to be the SH3 compiler interpreting a line of code differently to the other compilers.
  • OziCEgps (Beta 1.01) - Added error message if download file could not be created.
  • Fixed map find function, if there were more than 4 corner markers the maps may not be found.
  • When a map was first loaded it would position itself incorrectly, if waypoints and/or a track were then loaded onto the map they would be positioned incorrectly. Everything would correct itself when the map was repositioned. This has now been fixed.
  • Fixed a datum problem, this mainly affected the Ireland 1965 datum.
  • Fixed a position display problem, in the Degree Minute display positions close to a even degree (just below) would show as the full degree instead of the correct value. -152 59.812 would display as -153 0.000 .

Changes

  • Added support for Tripmate GPS, untested so far.
  • Added versions for the new HPC 2000 (HP 720), this is totally untested.

Beta 1.09.1

Bugs

  • Fixed bug in Checksum for NMEA string, this should reduce the bad data getting through.
  • Fixed resource leak of a created font which would cause problems when OziCE was run continuously for many hours.
  • some minor fixes

Changes

  • Versions developed for the PocketPC's.
  • A new file format called OZF2 has been developed which allows compression to be used in real time, see the Img2Ozf help in the OziCE help.
  • Download has been done for the GPS, upload will be done later.
  • Waypoints can now be saved to a file.
  • Routes can be loaded and displayed on screen, this is just the start, much more to be done here.
  • The track logging now uses an auto method to collect the points, you may need to change the track logging distance in configuration to suit the new system, see the configuration help for details.
  • Cosmetic changes to some fonts.

Beta 1.08.1

Bugs

  • Fixed bug in Transverse Mercator projection maps.
  • Track loading from file assumed a Data File Datum of WGS84, now fixed to use the datum stored in the data file.
  • Fixed datum bug when loading maps in a new datum, the loaded track and waypoints were still referenced to the old map datum.

Changes

  • Added Swiss grid
  • Added New Zealand grid
  • Added Altitude to screen and track logging etc.
  • Added more Map File paths (now 6 available)
  • The map image file will now be searched for in the 2 image file paths and also in the same path as the .map file and it will be also searched for using the same name as the .map file but with the ozf extension.

Beta 1.06

Bugs

  • Major - The problem with the comms has probably been fixed. I have been using threads (concurrent processing) to handle the comms and process the sentences, found I was overwriting the data I was working on with the data from the next sentence, hence random bad positions and bearings were occurring.

Beta 1.05

Bugs

  • Fixed a problem where the NMEA sentence type was not being saved.

Changes

  • The pointer (position) on the HPC screen was lower on the screen than it should have been, this has now been adjusted.
  • Changed the "No Shutdown" feature so it only works when the device is communicating with the GPS. If the device is not communicating then shutdown will happen as normal depending on your device configuration.

Beta 1.04

Info

  • Made some changes to the color palette code, this looks like it has fixed the OziCE color problems on the Phillip Nino so may fix it on other devices as well. If you device still has color problems with OziCE please let me know and also let me know the parameters that are reported when you select the Developer Info option on the Help menu.

Bugs

  • Color palette handling changes have been made.

Changes

  • Added new option on help menu which details the color parameters of the device, this is an aid to debugging color problems.

Beta 1.03

Info

  • Still no luck sorting out the colors on 256 color devices but will keep trying

Bugs

  • Serial port input of NMEA has been modified to fix loss of characters on some devices.
  • Bug in Irish Grid fixed
  • British and Irish Grid now have the coordinates fixed to 5 digits

Changes

  • A new option in System configuration has been added to stop the CE device from automatically shutting down (suspending) when operating on battery only.

Beta 1.00

  • Initial release


CE Devices Supported

These are the types of devices supported.

  • Handheld - HPC (CE version 2) , HPC Pro (CE Version 2.11) and HPC 2000 (CE version 3.0+)
  • Palm sized - PPC (CE version 2.0 and version 2.11)
  • PocketPC - PC2000 (CE version 3.0+) , PC2002 (CE version 3.0+)

ARM , MIPS , SH3 and SH4 cpu's are supported.

We have tried to support all device types and all CE versions from 2.0 onwards and do not know of any Handheld, PalmPC or PocketPC that OziExplorerCE does not run on.

Of course OziExplorerCE will not run on devices using Windows CE version 1.


Installation of OziExplorerCE

Installation

Download

From the table on the web page download the appropriate install file which suites your PocketPC or CE device type.

The options are

  • Handheld PC , Handheld PC Pro and Handheld PC 2000, all makes and Models.
  • Palm PC's, all Makes and Models.
  • Pocket PC 2000 and Pocket PC 2002, all Makes and Models.

The installation program will install the correct version of the software to suit your cpu type and Windows CE version.

The install file is a self extracting exe program which when run will install OziExplorer onto your device. If you use the wrong install file you will receive a message that the program does not support the connected device type.

Suggested Folders (Directories)

By default OziExplorerCE will be installed into a folder called OziExplorer on the "root" of the file system ("\OziExplorer").

It is suggested that you use the default to keep the file path names to a manageable length during operation of OziExplorerCE.

All the additional "common" files will be installed in folders attached to the OziExplorer folder.

NOTE NOTE NOTE

If you tell the Add/Remove Program Manager that you do not want to install to the default application install directory and choose say the storage card then the installation will be totally stuffed up. Instead of installing the software exe files and common files to the same folder (OziExplorer) they will be installed to separate folders using descriptive names instead of the specified name in the install files. The common files must be located in the same folder as the exe files so you will need to manually move all the files and folders in the CE OziExplorerCE Common Files folder to the CE OziExplorerCE folder.

Installation Steps

  1. Download the installation file to suit your CE device type.
  2. Connect your CE device to the PC using ActiveSync.
  3. Run the installation on the PC and you will be prompted to install OziExplorerCE file to CE device.
  4. Read the OziExplorerCE help available on the web site.
  5. Read the Tutorial in the help file. This is in the help is available on the web site and also available in the subset of the full help available in OziExplorerCE on the CE device.
  6. Select the map(s) you already have created in the full OziExplorer you want to use.
  7. Use img2ozf to convert the images to the ozf2 format.
  8. Copy the .ozf2 files and .map files to the CE device. Note the .map files can be used without change, the Image file path and extension are adjusted by OziExplorerCE.
  9. Run OziExplorerCE and configure, making sure you set the Image File Path(s) and Map File Path(s) & Data File Path. Set other configuration options as required.


Gps Requirements

  • For real time navigation - almost any GPS receiver with NMEA 0183 output of the GPRMC or GGA or GLL sentence.
  • For download of data from the GPS - selected models of Garmin, Lowrance/Eagle or Magellan's only.

External GPS Receiver

  • A cable to connect the standard CE device serial cable to the standard GPS serial cable is required. A diagram of how to wire this cable is in this document.

Compact Flash GPS

  • Compact Flash GPS receivers that plug into the compact flash slot of your CE device.
  • Of course, a cable is not required for the Compact Flash GPS.

Navman GPS

  • Navman GPS sleeve for the iPAQ CE device.
  • Of course, a cable is not required for the Navman GPS.


Map Requirements

  • Maps of your particular area of the world which you can scan or purchased digital maps in the correct format.
  • All maps must be converted to the ozf2 format, a conversion utility is available on the web site. The ozf2 format is a special format developed for use in OziExplorerCE (details are in this help). The format allows paging of the image from disk and therefore requires little memory for image display.
  • Almost any map that can be used in the PC OziExplorer can be used in OziExplorerCE provided it can be converted to the ozf2 format.
  • Note - No useable maps are provided with this package only example maps.


OziExplorerCE Tutorial

Es wird vorausgesetzt, dass der OziExplorerCE auf Ihrem Gerät installiert ist.

Bei der Installation des OziExplorerCE wurde ein Satz Demo-Dateien mit installiert.

Übung 1 - Navigation entlang einer Route mit Anweisungen (Autoprompting)

Schritt 1 - Öffnen einer Karte
Auf der Toolbar neben dem Map-Menü sehen Sie das Symbol eines offenen Ordners Open Map, drücken Sie dieses Icon. Eine Dialogbox öffnet sich; markieren Sie die Datei demo1a.map und drücken Sie auf ok.

Die Karte wird geöffnet. Sie können sich auf der Karte bewegen, indem Sie irgendwo auf das Display tippen. Wenn Sie dabei über den Kartenrand hinaus geraten, öffnet sich eine andere Karte, die diesen Punkt abdeckt. Wenn dies geschehen sollte, laden Sie demo1a.map erneut.

Schritt 2 - Anzeige der 'Route Navigation Toolbar'

Wählen Sie den Menüpunkt View / Toolbars / Route Nav Toolbar. Also drücken Sie View, dann Toolbars, danach Route Nav Toolbar. Die Route Nav Toolbar wird eingeblendet.

Schritt 3 - Öffnen einer Route

Auf der Route Nav Toolbar wählen sie das Load File Icon; eine Dialogbox öffnet sich. Wählen Sie die Datei demo1a.rt2 und drücken Sie auf ok.

Schritt 4 - Starten der Navigation

Drücken Sie das ozice_b_tbn_navfwd.gif (904 bytes) Icon auf der Route Nav Toolbar, um die Navigation zu starten. Sie sehen nun eine gelbe Linie, die sich vom Zentrum der Karte bis zum ersten Wegpunkt der Route erstreckt.

Schritt 5 - Abspielen eines Tracks (Fährte)

Das Abspielen eines Tracks ist kein Hauptmerkmal des OziExplorerCE aber seine Behandlung hier zeigt einige andere Besonderheiten, die die GPS-Funktion erfordern. Es simuliert die Kommunikation mit GPS.

Sie haben also die Schritte 1, 2, 3 und 4 durchgeführt.

Wählen Sie den Menüpunkt View / Tracks / Replay Track. Eine Dialogbox öffnet sich. Wählen Sie die Datei demo1a.plt und drücken Sie auf ok.

Der Track wird geladen und der Schriftzug "Track Replay" wird auf dem Display angezeigt.

Drücken Sie Start GPS auf der Toolbar - damit startet das Abspielen des Tracks. Ein Pointer (Positionsanzeiger) wird dargestellt und die Karte bewegt sich entsprechend dem Lauf des Pointers entlang des Tracks.

Jeweils bei Annäherung an einen Wegpunkt der Route sehen Sie ein Symbol und hören eine Ansage, mit denen die am nächsten Wegpunkt erforderliche Aktion angekündigt wird.

(Um die Anweisungen zu hören, müssen Sie natürlich die Lautstärke am Gerät hoch geregelt haben.)

Der Ablauf des Track Replay Modus ist hier aufgrund der zeitlichen Raffung nicht so gut wie in der Realität; die Ansage wird u.U. abgeschnitten, sobald ein neuer Wegpunkt auftaucht. Aber es wird eine Vorstellung davon vermittelt, was das Autoprompting leistet.

Nach dem Abspielen des Tracks schalten Sie das Track Replay ab, indem Sie den Menüpunkt View / Tracks / Replay Track erneut wählen.

Übung 2 - Der Gebrauch von Wegpunkten mit 'Nahbereich' (proximity Waypoints)

Schritt 1 - Öffnen einer Karte

Auf der Toolbar neben dem Map-Menü sehen Sie das Symbol eines offenen Ordners Open Map, drücken Sie dieses Icon. Eine Dialogbox öffnet sich; markieren Sie die Datei demo2a.map und drücken Sie auf ok.

Die Karte wird geöffnet. Sie können sich auf der Karte bewegen, indem Sie irgendwo auf das Display tippen. Wenn Sie dabei über den Kartenrand hinaus geraten, öffnet sich eine andere Karte, die diesen Punkt abdeckt. Wenn dies geschieht, laden Sie demo2a.map erneut.

Schritt 2 - Laden einer Wegpunkte-Datei

Wählen Sie den Menüpunkt File / Waypoints / Load Wp File. Also drücken Sie File, dann Waypoints, danach Load Wp File. Eine Dialogbox wird eingeblendet. Wählen Sie die Datei demo2a.wpt und drücken Sie auf ok.

Schritt 3 - Abspielen eines Tracks

Das Abspielen eines Tracks ist kein Hauptmerkmal des OziExplorerCE aber seine Behandlung hier zeigt einige andere Besonderheiten, die die GPS-Funktion erfordern. Es simuliert die Kommunikation mit GPS.

Sie haben also die Schritte 1 und 2 durchgeführt.

Wählen Sie den Menüpunkt View / Tracks / Replay Track. Eine Dialogbox öffnet sich. Wählen Sie die Datei demo2a.plt und drücken Sie auf ok.

Der Track wird geladen und der Schriftzug "Track Replay" wird auf dem Display angezeigt.

Drücken Sie Start GPS auf der Toolbar - damit startet das Abspielen des Tracks. Ein Positionsanzeiger (Pointer) wird dargestellt und die Karte bewegt sich entsprechend dem Lauf des Pointers entlang des Tracks. Wenn der Track den ersten Wegpunkt erreicht (Turn 1), sehen Sie ihn von einen blauen Kreis umgeben; dies ist der 'Nahbereich'. Wenn Ihre Position in den Nahbereich eintritt, sehen Sie ein Symbol und hören eine Ansage. (Um die Anweisungen zu hören, müssen Sie natürlich die Lautstärke am Gerät hoch geregelt haben.) Diese Dateien werden dem Wegpunkt hinzugefügt, wenn Sie eine neuere Version des PC OziExplorer benutzen.

Nach dem Abspielen des Tracks schalten Sie das Track Replay ab, indem Sie den Menüpunkt View / Tracks / Replay Track erneut wählen.

Tutorial

Moving Map (Echtzeit-Tracking)

Konfiguration

Zuerst müssen Sie OziExplorerCE so konfigurieren, dass er zu Ihrem GPS passt. Wählen Sie den Menüpunkt File / Configuration / NMEA (GPS).

Diese Dialogbox öffnet sich:

Nehmen Sie die folgenden Einstellungen vor. Bitte benutzen Sie hierzu das Handbuch Ihres GPS-Geräts; es enthält eventuell einige notwendige Informationen.

Baud - Die meisten GPS-Empfänger liefern NMEA mit 4800 Baud. Im Zweifel sollten Sie hiermit beginnen. Andere haben einstellbare Baudraten. Es muss diejenige Baudrate gesetzt werden, die auch Ihr GPS benutzt. Der Navman GPS-Empfänger benutzt 57600 Baud.

Port - Der serielle Standardport eines CE ist COM1. Wenn sie ihn benutzen, wählen Sie also COM1. Wenn Sie eine PlugIn GPS Karte nutzen, setzt sich diese in der Regel auf COM4 oder COM5; in diesem Fall versuchen Sie also diese beiden Einstellungen. Der Navman GPS-Empfänger kann sich auf COM4 oder COM5 setzen aber es gibt auch einen Port Navman; wenn Sie einen Navman haben und diesen Port wählen, bestimmt OziExplorerCE den korrekten COM-Port automatisch.

Sentence (Protokoll) - Die meisten GPS-Empfänger liefern das GPRMC-Protokoll; wenn Ihrer dies tut, wählen Sie am besten dieses Protokoll. Wenn Ihr GPS nicht GPRMC liefert, wählen Sie ein anderes Protokoll.

Use Chk Sum - Haken Sie dies immer an; nur dann nicht, wenn Ihr GPS keine Kontrollsummen mit dem Protokoll liefert. Das GPRMC-Protokoll sollte immer eine Kontrollsumme beinhalten.

Check Valid - Am besten haken Sie dies immer an. Es verhindert, dass OziExplorerCE Daten vom GPS verarbeitet, die keinen "guten" Satelliten-Fix liefern. Sie müssen aber diese Option deaktivieren, wenn Sie GPS im Simulationsmodus betreiben.

GPS NMEA Output Datum - Hier ist das Kartendatum einzustellen, mit dem ihr GPS in den NMEA-Daten die Position angibt. Garmin-Geräte liefern immer das Datum, auf das das GPS eingestellt ist; einige Magellan-Geräte desgleichen. Die meisten anderen liefern WGS 84. Sie müssen herausfinden, was für Ihr GPS zutrifft. Wenn Sie feststellen, dass Ihre Position nicht exakt am richtigen Ort angezeigt wird, kann diese Einstellung der Grund sein.

Show GPS Fix Data - Zeigt in der Statuszeile die Art des Fix' und die Anzahl der gefundenen Satelliten. G = GPS-Fix, D = DGPS wird genutzt.

Show DGPS secs - Zeigt in der Statuszeile die Anzahl Sekunden seit dem letzten DGPS-Update. Aktivieren Sie dies nur, wenn Sie DGPS benutzen.

Say Fix Info - OziExplorerCE meldet per Ansage, wenn der GPS-"Fix" verloren geht oder wiederkehrt.

Tripmate GPS - Haken Sie dies nur an, wenn Sie ein Tripmate-GPS benutzen. OziExplorerCE sendet dann automatisch das "ASTRAL"-Kommando, um das GPS zu starten, und wartet dann 5 Sekunden auf das GPS.

Drücken Sie ok in der Dialogbox oben rechts, um die Einstellungen zu sichern und den Dialog zu schließen.

Kommunikation mit dem GPS-Emfänger

Verbinden Sie Ihr GPS mit dem CE. - Lesen Sie die Hilfe GPS-Verbindung, falls Sie kein fertiges Verbindungskabel besitzen.

Wenn Sie sich im Haus befinden und keinen Fix haben, Ihr GPS jedoch einen Simulations- oder Demo-Modus besitzt, den Sie anschalten können, liefert es ein NMEA-Protokoll mit Positionsdaten.

Drücken Sie das Icon 'Datei öffnen' Open Map . Eine Dialogbox erscheint; markieren Sie die Datei world.map und drücken Sie ok . Die Weltkarte wird angezeigt.

Drücken Sie das Icon Start GPS auf der Toolbar. OziExplorerCE öffnet den COM-Port und beginnt, die Daten des GPS zu lesen.

Die Statuszeile oben zeigt das Word "ON". Dies bedeutet, dass die Kommunikation begonnen hat, aber sagt nichts darüber aus, ob Daten empfangen werden. Wenn eine gültige NMEA-Positionsangabe empfangen wird, wird sofort ein "*" rechts von "ON" angezeigt, das sich an- und ausschaltet. Die Karte bewegt sich und ein Pointer zeigt Ihre Position auf der Karte. Der Code "NF" in der Statuszeile zeigt an, dass zwar Daten empfangen werden, das GPS jedoch keinen gültigen Satelliten-Fix hat.

Um die vom GPS empfangenen Daten zu sehen, wählen Sie den Menüpunkt Map / Display NMEA Input. Eine Dialogbox öffnet sich und zeigt die Daten, so wie sie eintreffen. Wenn das Feld weiß ist, werden keine Daten empfangen.


Limitations of OziExplorerCE

Beschränkungen

  • Geladene Wegpunkte max. = 1000
  • Geladene Tracks max. = 5 Benutzer-Tracks + 1 Track-Logfile (für Moving Map)
  • Geladene Trackpunkte max. = 20.000 insgesamt für die 5 Benutzer-Tracks; 1000 Punkte für das Track-Logfile
  • Anzahl der geloggten und abgespeicherten Trackpunkte = unbegrenzt (limitiert nur durch Ihren Speicherplatz)
  • Geladene Routen max. = 1
  • Geladene Wegpunkte pro Route max. = 500
  • Einige Kartenprojektionen des PC-OziExplorer werden nicht unterstützt (aber fast alle).

Die Beschränkung für Wegpunkte und Tracks gilt nur für die gleichzeitig geladenen. Eine unbegrenzte Anzahl ist möglich, wenn man Gruppen von Wegpunkten oder Tracks in getrennten Dateien abspeichert und diese nur nach Bedarf lädt.

Eine unbegrenzte Anzahl von Routen ist möglich, wenn jede Route in einer separaten Datei gespeichert und bei Bedarf geladen wird.

Bekannte Probleme

PocketPC: Durch Klicken auf die untere Toolbar wird das Scrollen der Karte gestoppt, das über die Cursor-Taste (Navigationstaste) ausgelöst wurde.


Connecting your GPS

Verbindung des CE mit dem GPS

(Abschnitte für Externe GPS-Empfänger, Navman GPS-Empfänger, Compact Flash GPS)

Externe GPS-Empfänger

Kabel zur Verbindung des CE mit dem GPS sind für die meisten Geräte schwer erhältlich.

Sie können das normale CE-Kabel nehmen sowie das GPS-Kabel, mit dem Sie an den PC anschließen. Wenn beide Kabel zum Anschluss an den PC geeignet sind, müssen sie beide mit einem gekauften oder gebastelten, kurzen Kabel verbinden; einem sogenannten NULL-Modem-Kabel, bei dem einfach die Pins 2 und 3 vertauscht sind.

Unten sehen Sie ein Verdrahtungsschema für 9-polige Stecker.

  • Pin 5 (Masse) wird durchgeschleift.
  • Pin 2 und Pin 3 kreuzen sich.

Für den üblichen 9-Pin-Stecker (DB9) sieht das so aus:

Konfiguration

  • Die Konfiguration des OziExplorerCE erfolgt über den Menüpunkt "Configuration / NMEA (GPS)".
  • Baud - Hier ist die Baudrate Ihres GPS einzustellen. Nutzen Sie eine möglichst hohe Baudrate. Im OziExplorerCE können Baudraten von 1200 bis 115200 gewählt werden. Voreingestellt ist 4800. Wenn Sie die Baudrate Ihres GPS nicht kennen, versuchen Sie 4800, da dies der Standard für NMEA ist.
  • COM-Port - Wählen Sie den COM-Port, an den Ihr GPS angeschlossen ist. Für das externe GPS wird das normalerweise die serielle Standard-Schnittstelle sein.
  • Sentence (Protokoll) - Kommunikation für Moving Map zum Empfang der Position über GPS wird über das Standard-NMEA-Protokoll abgewickelt. Um weitere Informationen zu erhalten, die nicht mit diesem Protokoll übermittelt werden, können auch andere Protokolle benutzt werden.

Wenn Ihr GPS das GPRMC-Protokoll liefert, sollten Sie dieses Protokoll vorziehen.

Lesen Sie hierzu auch das Kapitel über GPS-Empfang in der Hilfedatei zum PC-OziExplorer.

Navman GPS

1. Installation des SmartPath-Treibers

Installieren Sie die mit dem Navman mitgelieferte SmartPath-GPS-Software. Hierbei wird der Treiber zur Konfiguration des vom Navman benutzten Ports installiert. Der Treiber schafft einen seriellen Port, über den der OziExplorerCE mit dem Navman kommuniziert.

Sie sollten außerdem die neuesten Treiber von der NAVMAN-Webseite herunterladen und installieren.

2. Konfiguration des OziExplorerCE

Benutzen Sie hierzu den Menüpunkt File / Configuration / NMEA (GPS)

  • Port - Der Navman GPS-Empfänger kann sich auf COM4 oder COM5 setzen aber es gibt auch einen Port "Navman"; wenn Sie einen Navman haben und diesen Port wählen, bestimmt OziExplorerCE den korrekten COM-Port automatisch.

  • Baudrate - wählen Sie 57600

  • Sentence (Protokoll) - GPRMC

  • GPS NMEA Datum - WGS84

  • Use Check Sum - aktivieren

  • Check Valid - Hier haben Sie die Wahl. Aber bedenken Sie die Auswirkungen. Bei Aktivierung wird die Gültigkeit der GPS-Daten geprüft und wenn kein gültiger Fix vorliegt, ignoriert der OziExplorerCE die Daten. Andernfalls werden die Daten verarbeitet, auch wenn wenn kein Fix vorliegt.

Compact Flash GPS

1. Installieren Sie die Treiber, die mit Ihrem GPS geliefert wurden.

Der Treiber schafft einen seriellen Port, über den der OziExplorerCE mit dem GPS kommuniziert.

2. Konfiguration des OziExplorerCE

Benutzen Sie hierzu den Menüpunkt File / Configuration / NMEA (GPS)

  • Port - in der regel COM4 oder COM5, abhängig von Fabrikat und Typ.

  • Baudrate - meistens passt 4800 (die Baudrate des GPS ist maßgeblich).

  • Sentence (Protokoll) - am geeignetsten ist GPRMC (jedenfalls ein vom GPS geliefertes Protokoll).

  • GPS NMEA Karten-Datum - WGS84

  • Use Check Sum - aktivieren

  • Check Valid - Hier haben Sie die Wahl. Aber bedenken Sie die Auswirkungen. Bei Aktivierung wird die Gültigkeit der GPS-Daten geprüft und wenn kein gültiger Fix vorliegt, ignoriert der OziExplorerCE die Daten. Andernfalls werden die Daten verarbeitet, auch wenn wenn kein Fix vorliegt.


OziExplorerCE Configuration

Konfiguration

  • Allgemeine Einstellungen
  • Karten- und Datendateien
  • Kartenbild-Dateien
  • NMEA (GPS)
  • Moving Map
  • Tracks
  • Wegpunkte
  • Routen
  • Navigation
  • Einheiten
  • Geschwindigkeitsanzeige

Konfigurations-Menü

ozice_cfg_menu.gif (4366 bytes)

Dies sind die Optionen, mit denen der OziExplorerCE konfiguriert wird.

Allgemeine Einstellungen
(General Settings)

Operation

Configure Operation Settings

Position Format - Art der Anzeige der geografischen Position in der Statuszeile und in anderen Listen. Sie können aus einer Liste mit Koordinatenformaten und Gittern wählen.

Load Last Map - Wenn dies aktiviert ist, wird beim Programmstart die zuletzt benutzte Karte geladen.

Load Wp Log - Dies lädt beim Programmstart automatisch die Logdatei für Wegpunkte (ceWaypoints.wpt). Beim Eingeben eines Wegpunktes wird dieser automatisch in der Datei ceWaypoints.wpt geloggt, sofern im Menü 'File / Waypoints' die Option 'Log Waypoints to File' angehakt ist.

Load Track Log - Dies lädt beim Programmstart automatisch die Logdatei für Tracks (ceTrack.plt). Im Moving Map-Modus (Echtzeit-Tracking) werden die Trackpunkte automatisch in der Datei ceTrack.plt geloggt, sofern im Menü 'File / Track Log' die Option 'Log Track to File' angehakt ist.

Toolbar Auto Hide - Nur für Pocket-PCs: Dies verbirgt automatisch die Toolbar, wenn der Moving Map-Modus aktiviert ist. Hierdurch entsteht mehr Platz für die Karte.

Zoom-Stufen
(Zoom Levels)

Extra Map Zooms - Mit diesen Einstellungen können Sie die ozf2-Karten in verschiedenen Zoomstufen nutzen, ohne z.B. die 75%- und 50%-Stufen vorher (über img2ozf) anzufertigen. Dies reduziert die Dateigröße beträchtlich.

  • Smooth Zoom - Wenn gewählt, wird ein bilinearer Glättungsfilter benutzt. Langsame PDAs können diese Funktion evtl. nicht ausführen.
  • Zoom Levels - Die gewählten Zoomstufen, z.B. 90%, 80%, 75%, 70%, 60%, 50% und 40%, werden unmittelbar errechnet ("on the fly"; sie sind nicht in der ozf2-Datei enthalten).
  • Sollten die 75%- und 50%-Zooms doch in der ozf2-Datei enthalten sein, werden diese gegenüber den "on the fly"-Zooms bevorzugt.

Sonstige Einstellungen
(Other Settings)

Auto Start GPS Coms - Bei Programmstart wird automatisch der GPS-Empfang aktiviert.

Auto Screen Control - Bei Beginn des GPS-Empfangs wird automatisch die 'Screen Control'-Funktion aktiviert.

No ShutDown - Verhindert, dass sich dass Gerät ausschaltet, wenn es im Akkubetrieb mit GPS kommuniziert. Hierbei sendet OziExplorerCE alle 30 Sek. einen Tastendruck an das Betriebssystem, um weitere Benutzung zu simulieren. Dies verhindert jedoch nicht das Abdunkeln des Bildschirms gemäß der Systemkonfiguration.

Show Pixel x,y - Zeigt zusätzlich die Position im Kartenbild auch in Pixeln an, wenn der Stift gedrückt gehalten und dann losgelassen wird, bevor das Popup-Menü erscheint.

Konfiguration der Karten- und Datendateien
(Map & Data Files)

Map File Paths (6 Max) - Pfadangaben zu den Ordnern mit Kartendateien (map). Der erste Pfad in der Liste wird im Dialog 'Open Map File' (Karte laden) benutzt. Alle angehakten Pfade werden bei der Suche nach einer Karte durchsucht.

Open Dialog - Öffnet die Dialogbox, in der Sie Ihren Karten- oder Daten-Dateipfad festlegen. Anm.: OziExplorer-Dateitypen (map, wpt, plt, rte) haben eigene Icons. Ein Beispiel für einen solchen Dialog sehen Sie unten.

File Path Dialog

Active - Mit den Haken legen Sie fest, welche Pfade aktiv sind. Nur aktive Pfade werden unter 'Map Find' oder beim Kartenwechsel im Moving Map-Modus durchsucht.

Data File Path - Der Pfad (Ordner), in dem die Daten-Dateien gespeichert werden. Diese Voreinstellung gilt für das Laden und Speichern dieser Dateien (Wegpunkte, Tracks usw.). Alle von OziExplorer automatisch gespeicherten Dateien werden hier abgelegt. Ist kein Ordner spezifiziert, gelangen sie in den "root"-Ordner ( \ ).

Konfiguration der Kartenbild-Dateien
(Map Image Files)

Map Image Path

Map Image File Path 1 & 2 - Pfad zu den Ordnern für Kartenbild-Dateien (ozf2). Es gibt 2 Ordner und beide werden bei einer Suche nach einer Karte gecheckt. (Der Link innerhalb der .map-Datei zur Kartenbild-Datei wird gänzlich ignoriert.) 2 Pfadangaben sind möglich, z.B. einer auf dem CE und einer auf der Speicherkarte oder wo immer. Setzen Sie die Pfade also entsprechend Ihren Speicherorten. Nur 1 Pfad muss angegeben werden, wenn Sie nicht beide benötigen.

Get Path Dialog - Öffnet die Dialogbox, in der Sie Ihren Kartenbild-Dateipfad festlegen.

NMEA (GPS) Konfiguration

Einstellung der Ports
(Port Settings)

Communication Port - Die Nummer des COM-Ports, über den Ihr GPS mit dem Gerät kommuniziert. Die Drop-Down-Liste zeigt die am PDA vorhandenen Ports mit einer kurzen Beschreibung an.

  • Der serielle Standard-Port am CE ist COM1.
  • CompactFlash-GPS-Karten fügen dem PDA einen neuen seriellen Port hinzu. Die Beschreibung des Ports erwähnt evtl. nicht GPS aber vielleicht CF oder etwas ähnliches.
  • Das Navman GPS für iPaqs fügt dem PDA einen neuen seriellen Port hinzu und könnte eine Beschreibung wie "Navman GPS" oder ähnlich tragen.
  • Bluetooth GPS - hierfür werden die verschiedensten Ports benutzt und es ist schwierig, den richtigen zu finden. Probieren Sie zunächst COM8 bei PDAs mit PocketPC 2002 und COM5 bei PocketPC 2003.

Anm.: - Der PDA zeigt nicht immer eine sinnvolle Beschreibung seiner Ports an und zeigt auch Ports, die er nur internen benutzt.

Baud - Die Baudrate Ihres GPS. Wählen Sie die höchste Baudrate, die Ihr GPS liefert. Die meisten benutzen nur 4800. Der Navman GPS liefert eine Baudrate von 57600.

Sentence - Das vom GPS gelieferte NMEA-Protokoll, mit dem die Position übermittelt wird. Wenn Ihr GPS GPRMC liefert, dann ist dies das Protokoll der Wahl. Andere Protokolle können auch benutzt werden, um weitere Angaben zu erhalten. Es gibt auch eine Option PVT Garmin, über die der OziExplorerCE mit Garmin GPS-Emfängern zusammenarbeitet, die den PVT-Modus benutzen. Im PVT-Modus ist zu beachten:

  • Ihr Garmin muss PVT unterstützen (nicht alle tun das)
  • Das GPS-Interface muss auf Garmin-Modus gesetzt werden (oder GRMN/GRMN)
  • Als Baudrate im OziExplorerCE ist 9600 zu wählen.
  • Das GPS muss verbunden und angeschaltet sein, bevor vom OziExplorerCE die Kommunikation zum GPS gestartet wird.

GPS NMEA Output Datum - Das Kartendatum, mit dem Ihr GPS in den NMEA-Daten die Position angibt. Garmins liefern immer das jeweils eingestellte Datum, einige Magellan-Geräte (315/320) ebenfalls; die meisten anderen GPS liefern WGS 84. Sie müssen herausfinden, was Ihr GPS ausgibt. Wenn Sie feststellen, dass die angezeigte Position nicht stimmt, könnte diese Einstellung der Grund sein.

Sonstiges
(Other)

Use Chk Sum - Die Kontrollsumme im GPS-Protokoll wird gecheckt. Ist sie falsch, werden die entsprechenden Daten ausgeschieden und der Code CSM (Checksum) wird in der Statuszeile angezeigt. Diese Option sollte daher stets angehakt sein.

Check Valid - Die Gültigkeit der übermittelten Daten wird gecheckt. Ungültige Daten werden ausgeschieden. Bei ungültigen Daten wird NF (No Fix) in der Statuszeile angezeigt.

Show GPS Fix Data - Zeigt in der Statuszeile die Art des Fix' und die Anzahl der gefundenen Satelliten. G = GPS-Fix, D = DGPS wird genutzt.

Show DGPS secs - Zeigt in der Statuszeile die Anzahl Sekunden seit dem letzten DGPS-Update. Aktivieren Sie dies nur, wenn Sie DGPS benutzen.

Say Fix Info - Ansage, wenn der GPS-"Fix" verloren geht oder wiederkehrt.

Tripmate GPS - Haken Sie dies nur an, wenn Sie ein Tripmate-GPS benutzen. OziExplorerCE sendet dann automatisch das "ASTRAL"-Kommando, um das GPS zu starten, und wartet dann 5 Sekunden auf das GPS.

Moving Map-Konfiguration

Operation

Screen Update - Häufigkeit der Bilderneuerung. Beispiel - "1" erneuert nach jedem NMEA-Datensatz, "2" erst nach jedem zweiten. VORSICHT - Die Leistung der meisten CEs ist recht gering und sie können nicht zwischen zwei Datensätzen den NMEA-Satz verarbeiten, das Kartenbild bewegen, den Track zeichnen usw.; so hinken sie hinterher. Wenn dies passiert, setzen sie das Update auf 2 oder 3 oder höher, um mehr Zeit zu lassen - das ist WICHTIG.

Screen Position - Legt die Position des Pointers bei Moving Map fest; und zwar den rückwärtigen Versatz zur Verbesserung der "Voraus-Übersicht".

Mode - Wählen Sie zwischen den Modi Air, Marine und Land. Dies ändert die Terminologie der Software sowie Stil und Methode der Richtungsangaben beim Navigieren entlang einer Route.

Positionsanzeiger
(Pointer)

Pointer Style - Der Pointer in Moving Map.

  • Circle - Zeichnet ein Kreuz und 2 konzentrische Kreise an Ihrer Position.
  • Arrow - Zeichnet einen Pfeil in der Bewegungsrichtung.
  • Weitere Pointer - werden gezeigt, wenn entsprechende .mmp-Dateien vorliegen. Sie können auch selber erstellt werden und gehören in den Ordner mit der OziExplorerCE.exe-Datei. Benutzen Sie die mitgelieferten glider.mmp- und aeroplane.mmp-Dateien als Schablonen. Anleitungen sind jeweils im Dateikopf enthalten.

Pointer Color - Die Farbe der Linien bzw. Füllfarbe des Pointers.

Pointer Size - Die Größe des Pointers.

Solid Pointer - Wenn aktiviert, wird der Pointer (Pfeil usw.) massiv dargestellt, andernfalls transparent.

Detailliertere Karte
(Detailed Map)

Load Detailed Map - Wenn aktiviert, wird im Moving Map-Modus in dem gewählten Intervall nach einer detaillierteren Karte (größerer Maßstab) gesucht. Wenn vorhanden, wird sie automatisch geladen.

Interval - legt das genannte Intervall in Sekunden fest.

Track-Konfiguration

Track Log

File Log Dist - Logpunkt-Abstand (Datei) - dies legt den maximalen Abstand zum nächsten abzuspeichernden Logpunkt des Tracks fest. Wenn Sie in der Einheiten-Konfiguration Kilometer gewählt haben, sind hier Meter gemeint, sonst Fuß. Bei der Einstellung 'null' findet kein Log statt. Hier sollte ein ziemlich hoher Abstand eingegeben werden, etwa 500m (1500ft). Bei zu geringem Abstand werden zu viele Trackpunkte aufgezeichnet.

Das Aufzeichnen des Tracks kann An oder Aus geschaltet werden über den Menüpunkt File / Track Log / Log Track to File.

Das Loggen eines Tracks benutzt eine automatisierte Methode, die Punkte auszuwählen, und zwar:

Ein neuer Punkt wird geloggt, wenn

  • die eingestellte "File Log Dist" erreicht ist oder
  • sich die Richtung um mehr als 7,5 Grad ändert oder
  • sich die Geschwindigkeit um mehr als 5 km/h bzw. 15% ändert (der größere Wert ist maßgeblich).

Mem Log Dist - Logpunkt-Abstand (Zwischenspeicher, s.u.) - Hier gelten hinsichtlich des zu wählenden Abstands im Prinzip die gleichen Aussagen wie vor.
Auch die automatisierte Methode der Punktwahl ist dieselbe.

Track Tail - Dies bezeichnet die Länge (als Anzahl der Punkte!) des Tracks, die auf dem Bildschirm als "Schweif" dargestellt wird. Sie hat keinen Einfluss auf die gesicherten Logpunkte (s. "Log Track to File"). Ein Punkt wird jedesmal, wenn der Punktabstand erreicht ist, aufgenommen und in einem Zwischenspeicher abgelegt, der max. 1000 Punkte fasst. Der 'Track Tail' kann also nicht größer sein. Der "Schweif" wird dann jedesmal gezeichnet, wenn ein GPS-Datensatz verarbeitet ist. Wenn Sie diesen Wert zu hoch setzen, reicht evtl. die Zeit nicht aus, den Track auf dem Bildschirm zu zeichnen, bevor das nächste GPS-Signal eintrifft. Wenn das passiert, gehen Datensätze verloren. Halten Sie daher den 'Track Tail' möglichst kurz. Er wird nur im Moving Map-Modus gebraucht; ansonsten wird der volle Log aus dem Zwischenspeicher (max. 1000 Punkte) dargestellt.

Track Color - Legt die Farbe fest für die Darstellung des Tracks aus dem Zwischenspeicher.

Track Width - Legt die Strichbreite für diesen Track fest. Aus Gründen der Performance nicht zu breit wählen; bevorzugt wird 2.

User Tracks

Es stehen außerdem 5 Tracks für den Benutzer zur Verfügung. Und zwar mit folgenden Konfigurationsmöglichkeiten.

Track Color (Tracks 1-5) - Wählen Sie die Farbe Ihres Tracks. 5 Tracks können geladen und dargestellt werden.

Track Width (Tracks 1-5) - Wählen Sie die Strichstärke Ihres Tracks. Aus Gründen der Performance nicht zu breit wählen; bevorzugt wird 2.

Wegpunkt-Konfiguration
(Waypoints)

Symbol Size - Die Größe des Kreises, mit dem ein Wegpunkt markiert wird.

Font Size - Die Schriftgröße für den Wegpunktnamen.

Check Proximity - Wenn aktiviert, wird die Entfernung zu den Wegpunkten überprüft. Falls Ihre Position innerhalb des festgelegten 'Nahbereichs' liegt, wird eine Folge aus 4 Tönen ausgegeben.

Routen-Konfiguration

Darstellung
(Display)

Symbol Size - Die Größe des Symbols, mit dem ein Wegpunkt in der Route markiert wird.

Font Size - Die Schriftgröße für Text, den Wegpunkt- und den Routennamen.

Line Width - Die Strichstärke für die Route.

Route Line Color - Die Farbe der Routenlinie. Bei Default wird die in der Routen-Datei gespeicherte Farbe verwendet.

Route Wp Color - Die Farbe zum Füllen der Wegpunktsymbole.

Route Text Color - Die Farbe für den Text und für die Linien der Wegpunktsymbole.

'Nahbereichs'-Eigenschaften
(Proximity)

Auto Prompt - Automatische Anweisung bei Eintritt in den Nahbereich. Über eine Grafik und einen Sound wird eine Anleitung gegeben, welche Richtung einzuschlagen ist.

Proximity - 'Nahbereich' - der Abstand vom Wegpunkt, ab welchem die Anweisung aktiviert wird (eine kreisförmige Zone um den Routen-Wegpunkt).

Sound Repeat - Die Anzahl der Wiederholungen der Ansage.

Say Distance - Die Entfernung bis zum Wegpunkt wird angesagt.

Check Wp Passed - Der Wegpunkt wird aktiviert, wenn er passiert wird, ohne in den Nahbereich einzutreten. (Z.B. könnte ein Boot einen Wegpunkt passieren, ohne tatsächlich in seinen Nahbereich zu gelangen. Wenn gewählt, sorgt diese Option dafür, dass der Nahbereich dennoch ausgelöst wird.)

Options

Use Auto Zoom - Bei Eintritt in einen 'Nahbereich' wird der gerade aktuelle Kartenzoom auf den gesetzten Wert geändert.

Zoom Value - Wählt den Zoom, auf den die Karte bei Eintritt in den 'Nahbereich' eingestellt wird. Der Zoom wird nach Erreichen des Wegpunktes wieder zurückgesetzt. Beispiel: Sie könnten den Kartenzoom für unterwegs auf 50% gesetzt haben, um einen größeren Bereich zu überblicken, und stellen den Zoom für den Nahbereich auf 100% (oder einen anderen wert), so dass Sie die Wegebiegung, die Sie nehmen müssen, besser erkennen.

Konfiguration der Navigation

Draw Nav Line - Macht die Navigationslinie sichtbar, eine Linie von Ihrer derzeitigen Position zu Ihrem Ziel ("goto").

Line Width - Die Breite der Navigationslinie.

Line Color 1 - Die Füllfarbe der Navigationslinie.

Line Color 2 - Die Farbe der Umgrenzung der Navigationslinie.

Konfiguration der Einheiten
(Units)

Verschiedene Einheiten können für
- Geschwindigkeit
- Entfernung
- Höhe und
- Winkel festgelegt werden.

Konfiguration der Geschwindigkeitsanzeige
(Speed Monitor)

Min Speed - Die minspeed.wav-Datei wird abgespielt, wenn Ihre Geschwindigkeit unter die eingestellte Minimal-Geschwindigkeit sinkt. Sie wird erst wieder abgespielt, wenn diese Geschwindigkeit über- und wieder unterschritten wird.

Set Speed - Die setspeed.wav-Datei wird abgespielt, wenn Ihre Geschwindigkeit die hier eingestellte Geschwindigkeit (Set) überschreitet.

Max Speed - Die maxspeed.wav-Datei wird abgespielt, wenn Ihre Geschwindigkeit die eingestellte Maximal-Geschwindigkeit überschreitet.

Active - Diese Geschwindigkeiten können voneinander unabhängig durch Anhaken aktiviert werden.


OziExplorerCE File Menu Options

Das Menü FILE (Datei)

ozice_file_menu.gif (2764 bytes)

Open Map File - Zeigt den Open-Dialog zur Auswahl einer Karte. Der erste Kartendatei-Pfad in der Konfiguration wird hier (voreingestellt) angezeigt. Sie können zu jedem Ordner navigieren, um eine Karte auszuwählen.

Open Map File

Open Recent Maps - Zeigt die zuletzt geöffneten 10 Karten an, aus denen Sie eine auswählen können.

ozice_open_mru.gif (3836 bytes)

Waypoints (Wegpunkte)

ozice_wpt_menu.gif (7591 bytes)

Waypoints / Create Wp at Position - erstellt einen Wegpunkt an der aktuellen Position (in Bildschirmmitte).

Waypoints / Log Waypoints to File - Wenn aktiviert, werden die erstellten Wegpunkte abgespeichert. Die Datei "ceWaypoint.wpt" wird somit größer und sollte daher von Zeit zu Zeit gelöscht werden.

Waypoints / Save Wp Log File - kopiert die Wegpunkt-Logdatei "ceWaypoint.wpt" in eine andere Datei, deren Name aus dem Datum abgeleitet ist. Der Dialog lässt Sie einen Pfad und Dateinamen festlegen. Ein Namensvorschlag - aus Datum und Zeit - kann übernommen oder überschrieben werden.

Waypoints / Delete Wp Log File - löscht die Wegpunkt-Logdatei "ceWaypoint.wpt". Eine neue Datei wird automatisch erstellt, wenn neue Wegpunkte geloggt werden.

Waypoints / Load Wp File - lädt eine OziExplorer-Wegpunktdatei und zeigt sie auf der Karte an. Die gerade aktiven Wegpunkte werden dabei vom Display entfernt.

ozice_wpt_load.gif (6899 bytes)

Waypoints / Save Wp's from Map - speichert die gerade geladenen Wegpunkte. Der Dialog lässt Sie einen Pfad und Dateinamen festlegen. Ein Namensvorschlag - aus Datum und Zeit - kann übernommen oder überschrieben werden.

ozice_wpt_save.gif (4941 bytes)

Waypoints / Clear Wp's from Map - entfernt die gerade geladenen und angezeigten Wegpunkte vom Display, berührt jedoch nicht die abgespeicherten Wegpunkte.

Waypoints / Waypoint List - siehe die Hilfe Waypoint List.

Routes (Routen)

ozice_rte_menu.gif (4805 bytes)

Routes / Load Route File - lädt eine Routendatei, die im OziExplorerCE oder dem PC OziExplorer erstellt oder vom GPS heruntergeladen wurde. Wenn die Routendatei mehr als eine Route mit anhängenden Wegpunkten enthält, können Sie die gewünschte Route in einem Dialogfenster auswählen. (Siehe Working with Routes)

ozice_rte_load.gif (5865 bytes)

Routes / Save Route File - speichert eine Route, die erstellt oder geändert wurde (d.h. die gerade angezeigte Route). Der Dialog lässt Sie einen Pfad und Dateinamen festlegen. Ein Namensvorschlag - aus Datum und Zeit - kann übernommen oder überschrieben werden.

ozice_rte_save.gif (5023 bytes)

Routes / Clear Route from Map - entfernt die gerade aktive Route vom Display.

Routes / Route Properties - zeigt die Eigenschaften der Route und Routen-Wegpunkte an. Letztere werden in einer Liste dargestellt; die Positionen beziehen sich auf das Kartendatum der gerade geladenen Karte. Mit verschiedenen Knöpfen können die Eigenschaften verändert werden.

ozice_b_rte_rev.gif (907 bytes) | Kehrt die Reihenfolge der Wegpunkte um. Dies macht Sinn, wenn der Routenverlauf zurück nicht genau derselbe ist wie hin: Sie können dann die Route umkehren, ändern und danach als neue Routendatei speichern. Diese Funktion dient nicht zur Umkehrung, wenn Hin- und Rückweg identisch sind. In dem Fall verwenden Sie 'Reverse Route' im Menü 'Map / Navigation'.
ozice_b_rte_silent.gif (915 bytes) | Ändert die Eigenschaft eines Wegpunktes in 'silent' (stumm). Solche Wegpunkte haben keinen 'Nahbereich' und zeigen daher auch keine Grafik an und spielen keinen Sound ab.
 | Ein normaler Wegpunkt (ohne Route) kann aus seiner Liste heraus in die Liste 'Route Properties' kopiert werden. Wenn der normale Wegpunkt später geändert wird, ändert sich nicht der in die Route aufgenommene.
 | Öffnet die Wegpunkt-Eigenschaften, um sie zu editieren.
 | Merken Sie den Wegpunkt zum Löschen vor durch Drücken dieser Taste; durch erneutes Drücken wird die Vormerkung rückgängig gemacht. Mit OK werden alle vorgemerkten Punkte gelöscht, mit X nicht.
ozice_b_rte_up.gif (905 bytes) | Bewegt den gewählten Wegpunkt innerhalb der Reihenfolge nach oben.
ozice_b_rte_down.gif (909 bytes) | Bewegt den gewählten Wegpunkt innerhalb der Reihenfolge nach unten.

ozice_track_menu.gif (2903 bytes)

Track / Log Track to File - Wenn aktiviert, wird im Moving Map-Modus der Track in eine Datei geloggt (an die Datei angehängt und automatisch abgespeichert). Die Datei "ceTrack.plt" wird somit größer und sollte daher von Zeit zu Zeit gelöscht werden.

Track / Save Track Log File - kopiert die Track-Logdatei "ceTrack.plt" in eine andere Datei, deren Name aus dem Datum abgeleitet ist. Der Dialog lässt Sie einen Pfad und Dateinamen festlegen. Ein Namensvorschlag - aus Datum und Zeit - kann übernommen oder überschrieben werden.

Track / Delete Track Log File - löscht die Track-Logdatei "ceTrack.plt". Eine neue Datei wird automatisch erstellt, wenn ein neuer Track geloggt wird.

Track / Load Track File (Mem) - lädt eine Trackdatei in den Tracklog-Arbeitsspeicher. Da dieser Log nur max. 1000 Punkte speichert, werden nur die letzten 1000 Punkte geladen.

Track / Save Track Log (Mem) - speichert den aktuellen Tracklog (also max. 1000 Punkte) in eine Datei. Wenn Sie Ihren kompletten Track als Logfile abspeichern möchten, müssen Sie "Log Track to File" (s.o.) benutzen. Sonst speichern Sie nur die letzten 1000 Punkte. Der Dialog lässt Sie einen Pfad und Dateinamen festlegen. Ein Namensvorschlag - aus Datum und Zeit - kann übernommen oder überschrieben werden.

Track / Clear Track Log (Mem) - entfernt den gerade angezeigten Track vom Display. Das berührt nicht die abgespeicherte Tracklog-Datei.

Upload/Download - startet das GPS Upload/Download-Programm - siehe die Hilfe OziCEgps.

Configuration - siehe die Hilfe Konfiguration.

Help (Hilfe-Menü)

ozice_help_menu.gif (2733 bytes)

Help / Help - Zeigt die Hilfetexte an.

Help / About - Copyright- und Versions-Informationen.

Help / Registration Info - Name des registrierten Benutzers.

Help / Enter Registration Code - Geben Sie den registrierten Benutzernamen und -code ein und drücken Sie OK.

ozice_help_register.gif (4073 bytes)

Help / Remove Registration - Löscht die aktuellen Registrierungs-Daten des OziExplorerCE.

Help / Developer Info - Zeigt bestimmte Informationen zu den Farbeigenschaften des PDAs.

Quit - Schließt das Programm.


OziExplorerCE View Menu Options

Das Menü VIEW (Ansicht)

Name Search - zeigt den Namensuche-Dialog - zu Details siehe die Hilfe Namensuche.

Map View - zeigt / verbirgt das Map View-Fenster, das die gesamte Karte anzeigt.

ozice_b_zoom_mv.gif (863 bytes) Diese Knöpfe (+/-) ändern die Größe des Map View-Fensters.

zeigt / verbirgt Objekte im Map View-Fenster (Wegpunkte, Routen, Tracks und Kartenmerkmale).

Wenn Sie auf die Map View-Karte klicken, verschiebt sich die Hauptkarte zur selben Position.

Wegpunkte, Routen, Tracks und Kartenmerkmale werden angezeigt.

Klicken Sie auf den farbigen Rand und Sie erhalten eine Liste der verfügbaren Karten zu der betreffenden Position.

Scale - zeigt / verbirgt die Maßstabsleiste.

ozice_view_scale.gif (968 bytes)

Klicken Sie auf den Maßstab und Sie sehen eine Titelleiste darüber. Damit können Sie die Maßstabsleiste verschieben. Nach erneutem Klicken auf den Maßstab verschwindet die Titeleiste wieder.

Speed - zeigt / verbirgt das Geschwindigkeitsfenster, das außerdem die Richtung und Höhe anzeigt. Die Einheiten hierzu werden in der Konfiguration der 'Units' gesetzt.

ozice_view_speed.gif (1589 bytes)

Navigation Info - zeigt / verbirgt das Navigationsfenster (mit Ziel, Entfernung, Richtung). Ein zu langer Zielname wird auf die ersten und letzten 3 Buchstaben reduziert. Die Einheiten hierzu werden in der Konfiguration der 'Units' gesetzt.

ozice_view_navig.gif (1714 bytes)

Waypoints (Wegpunkte)

Waypoints / Show - zeigt / verbirgt die Wegpunkte.

Waypoints / Highlight Waypoints - schaltet die Hervorhebung der Wegpunkte an und aus; sie besteht aus einem großen, deutlichen Kreis um jeden Wegpunkt herum.

Waypoints / Show Names - zeigt / verbirgt die Wegpunktnamen.

Waypoints / Black & White - zeichnet alle Wegpunkte in schwarz-weiß.

Waypoints / Show Proximity Zone - zeigt den 'Nahbereich', der (im PC OziExplorer) für den Wegpunkt festgelegt wurde.

Waypoints / Auto Properties - Hierdurch wird beim Erstellen eines neuen Wegpunktes automatisch das Eigenschaftenfenster eingeblendet, um die Editierung zu ermöglichen.

Routes

Routes / Show - zeigt / verbirgt die Rotendarstellung.

Routes / Highlight Route - zeigt / verbirgt die Hervorhebung der Routenwegpunkte, einen großen, deutlichen Kreis um jeden Wegpunkt.

Routes / Show WP Names - zeigt / verbirgt die Namen der Routenwegpunkte.

Routes / Show Route Name - zeigt / verbirgt den Routennamen.

Routes / Black & White - zeichnet die Route und alle Routenwegpunkte in schwarz-weiß.

Routes / WP Auto Properties - Hierdurch wird beim Erstellen eines neuen Routenwegpunktes automatisch das Eigenschaftenfenster eingeblendet, um die Editierung zu ermöglichen.

Track

Track / Show - zeigt / verbirgt die Trackdarstellung.

Track / Replay Track - lädt eine Trackdatei, aber zeigt den Track nicht sofort an. Zum Abspielen drücken Sie den Knopf zum Starten der NMEA-Verbindung. Ich habe diese Funtion als eine Art NMEA-Simulator programmiert.

Map Objects (Kartenobjekte)

Map Objects - zeigt / verbirgt Kartenmerkmale und Kartenkommentare.

Toolbars (Werkzeugleisten)

ozice_view_toolbars.gif (1872 bytes)

Main Toolbar - Nur für Pocket-PCs: zeigt / verbirgt die Toolbar. Der Handheld PC hat eine feststehende Toolbar. (siehe hier)

Waypoint Toolbar - zeigt / verbirgt die Toolbar zum Erstellen oder Ändern von Wegpunkten. (siehe hier)

Route Create Toolbar - zeigt / verbirgt die Toolbar zum Erstellen oder Ändern von Routen. (siehe hier)

ozice_toolbar_route_create.gif (1405 bytes)

Route Navigation Toolbar - zeigt / verbirgt die Toolbar zur Routen-Navigation. (siehe hier)

Track Toolbar - zeigt / verbirgt die Toolbar zum Erstellen oder Ändern von Tracks. (siehe hier)


OziExplorerCE Map Menu Options

Das Menü MAP (Karte)

ozice_map_menu.gif (3227 bytes)

Moving map (GPS) - startet die Verbindung mit dem GPS für den Moving Map-Modus.

Display NMEA Input - Die vom GPS empfangenen Datensätze werden fortlaufend in Listenform dargestellt.

View Satellites - Wenn Ihr GPS verbunden ist und das NMEA-Protokoll GSV liefert, zeigt eine Grafik die Satelliten an, mit denen Ihr GPS Kontakt hat.

Sats in Use - Die Anzahl der Satelliten, die Ihr GPS verfolgt, also zur Positionsberechnung einbezieht.

HDOP - "Horizontal Dilution of precision" - Genauigkeit in horizontaler Richtung.

Sat Fix - zeigt einen gültigen Fix an.
Anm.: Das GPS kann evtl. eine Position angeben, aber noch keinen guten 3D-Fix erhalten haben.

Auto - Wenn aktiviert, öffnet sich dieses 'View Satellites'-Fenster selbsttätig beim Starten der GPS-Verbindung; es schließt sich dann wieder bei einem Fix. Dies funktioniert aber nur, wenn das GPS NMEA-Daten liefert.

Navigation - Navigationskontrolle.

ozice_map_nav_menu.gif (2213 bytes)

Navigation / Cancel Nav - schaltet die Routen-Navigation ab.

Navigation / Forward Route - Schaltet die Routen-Navigation an. Die Navigationslinie von Ihrer aktuellen Position zum ersten Routenwegpunkt wird dargestellt, sofern "Draw Nav Line" in der Konfiguration angehakt ist.

Navigation / Reverse Route - Dies kehrt die Route um für den Rückweg entlang derselben Route. Wenn der Rückweg abweicht, benutzen Sie die 'Route Create Toolbar' und daraus die 'Route Properties'-Dialogbox, um Ihre Route zu verändern.

Map Information - zeigt Informationen zur gerade geladenen Karte an.

ozice_map_info.gif (3989 bytes)

Find Maps - Einige Optionen zur Kartensuche.

Find Maps / Find Maps at Cursor - Durchsucht die Kartendateipfade und zeigt diejenigen Karten an, die die Cursorposition (Bildschirmmitte) enthalten.

Find Maps / More Detailed Map - Durchsucht die Kartendateipfade nach detaillierteren Karten für die aktuelle Position.

Find Maps / Less Detailed Map - Durchsucht die Kartendateipfade nach weniger detaillierten Karten für die aktuelle Position.

Drag Objects - Ermöglicht das Verschieben (drag) von Kartenobjekten. Es können dann Trackpunkte, Wegpunkte und Routenwegpunkte mit dem Stift bewegt werden. Drücken Sie auf das Objekt und ziehen Sie es an den neuen Ort. (Anm.: Wenn Sie vor dem Ziehen 1 Sekunde gedrückt halten, erscheint ein Popup-Menü.)

Screen Control - Aktiviert die 'screen control', wodurch der Bildschirm in 9 Segmente unterteilt wird; jedes Segment fungiert dann als Taste.

zu Details siehe hier

Zoom / Full Map - wählt aus den vorhandenen Zoomstufen diejenige aus, mit der die Karte annähernd den Bildschirm ausfüllt.

Zoom / (Zoomstufen) - Alle Zoomstufen stehen zur Verfügung.

Goto Map Position - Positioniert Sie an verschiedenen Orten der Karte (oben links - oben rechts - unten links - unten rechts - Mitte).

ozice_map_goto.gif (2298 bytes)


OziExplorerCE Toolbars

Die Werkzeugleisten (Toolbar Buttons)

  • Main Toolbar - Haupt-Toolbar
  • Waypoint Toolbar Wegpunkte
  • Route Create Toolbar Routenerstellung
  • Route Navigation Toolbar Routen-Navigation
  • Tracks Toolbar Tracks


OziExplorerCE Name Search

Namensuche

ozice_view_ns.gif (5850 bytes)

Die Datenbanken zur Namensuche sind für den PC OziExplorer und den OziExplorerCE identisch und die für die PC-Version erstellten Dateien können somit benutzt werden. Zu Details über die Erstellung solcher Datenbanken lesen Sie die Name Search-Webseite von www.oziexplorer.com im Abschnitt Utilities.

Um eine Namensuche-Datei zu benutzen, -

  • Kopieren Sie eine Namensuche-Datei (*.names) und die zugehörige Typendatei (*.types) auf Ihren CE (üblicherweise in den Ordner \OziExplorer\Name Search).
  • Wählen Sie 'Name Search' im View-Menü oder drücken Sie den entsprechenden Toolbar-Knopf.
  • Laden Sie eine Namen-Datei.

Andere Funktionen (im Name Search-Fenster) sind -

  • "Find" - scant die aktiven Karten-Dateipfade und findet alle Karten, auf denen die Position des gesuchten Namens liegt.
  • "Wp" - ein neuer Wegpunkt kann am aktuellen Ort gesetzt werden.
  • "Gt" - navigieren zum gewählten Ort.
  • "Map" - den Ort in die Bildschirmmitte positionieren. Wenn die Position nicht auf der aktuellen Karte liegt, werden die aktiven Karten-Dateipfade nach einer Karte durchsucht.

Filtern (Suche)

Die Datenbank kann folgendermaßen durchsucht werden

  • geben Sie Buchstaben der gesuchten Ortsbezeichnung in das Feld zur Namensuche ein
  • geben Sie den gesuchten Schlüssel (Code) ein
  • nur Wortanfänge: haken Sie "L" an (Voreinstellung)
  • nur Orte auf der gerade geladenen Karte: haken Sie "M" an.

Wenn die Suchparameter eingegeben sind, starten Sie die Suche mit dem Knopf F.

Anmerkung: Aktivieren von "L" (Left = Links) und Eingabe eines Suchstrings ist die schnellste Suchmethode. Die Datensätze werden dann über eine binäre Suche schnell gefunden. Dies setzt die alphabetische Sortierung der Datenbank voraus. Wenn "L" nicht angehakt ist (oder kein Suchstring eingegeben ist), muss jeder Datensatz auf Übereinstimmung mit den Parametern durchsucht werden. Das ist sehr langsam.

Maximal werden bei einer Suche 5.000 Datensätze angezeigt; die Suche hält danach an.

ozice_b_ns_editbox.gif (1039 bytes)
Namensuche-Eingabefeld - Findet Datensätze, deren Name diesem Eintrag entspricht. Beliebig viele Buchstaben können eingegeben werden.
ozice_b_ns_combo.gif (1036 bytes)
Wahl des Schlüssels - Findet Datensätze, deren Code diesem Schlüssel entspricht.
ozice_b_ns_load.gif (910 bytes) | Lädt eine Namensuche-Datenbank (*.names).
ozice_b_ns_map.gif (915 bytes) | Zeigt die Lage des in der Liste markierten Datensatzes auf der geladenen Karte. (Sie können auch einen Doppelklick auf den Datensatz ausführen.) - Wenn die Position nicht auf der aktuellen Karte liegt, werden die aktiven Karten-Dateipfade nach einer Karte durchsucht.
ozice_b_ns_wsize.gif (889 bytes) | Rollt das Namensuche-Fenster hoch, um die Karte freizugeben.
ozice_b_ns_find.gif (901 bytes) | Scant alle aktiven Karten-Dateipfade und findet alle Karten, auf denen die Position des gesuchten Namens liegt.
ozice_b_ns_wpt.gif (895 bytes) | Erstellt einen Wegpunkt am Ort des markierten Namens. Die ersten 6 Buchstaben des Namens bilden den Wegpunktnamen.
ozice_b_ns_goto.gif (890 bytes) | 'Goto' - Navigiert zum Ort des gewählten Namens.
ozice_b_ns_filter.gif (879 bytes) | Filtert die passenden Datensätze heraus und zeigt sie an. Der Titel der Box zeigt dann zusätzlich "(Filtered)" an.
ozice_b_ns_left.gif (901 bytes) | Findet Datensätze, deren Namensanfang dem Suchstring entspricht.
ozice_b_ns_onmap.gif (914 bytes) | Findet nur Datensätze, die auf der geladenen Karte liegen.

Anm.: Es ist nicht möglich, einen zweiten Filter auf eine gefilterte Liste anzuwenden. Jede neue Filterdefinition schaltet vor ihrer Anwendung unmittelbar den bisherigen Filter aus.

Anm.: Das Namensuche-Fenster rollt nach oben, wenn sie eine Funktion wählen, die die Kartenansicht erfordert.

Anm.: Alle in der Datenbank als gelöscht markierten Datensätze haben ein " * " am Namen. Um diese Datensätze zu entfernen, müssen die Namen-Datenbank in ein Datenbank-Programm (für dbase4-Dateien) geladen, die Datensätze permanent gelöscht (gepackt) und die Datei wieder rückgesichert werden.


OziExplorerCE Operation

Bedienungshinweise

  • Was ist eine Karte
  • Öffnen einer Karte
  • Wie nach einem Kartenbild gesucht wird
  • Indexdateien zur schnelleren Kartensuche
  • Verschieben der Karte (Scrolling)
  • Kartenobjekte, Popup-Informationen und -Menüs
  • >> 'Screen Control'
  • GPS-Info Status-Leiste
  • 'Moving Map'
  • Karten finden
  • Kartenmaßstab
  • Karten-Zoom
  • Kartenübersicht
  • >> Arbeiten mit Tracks
  • Abspielen eines Tracks
  • >> Arbeiten mit Wegpunkten
  • >> Wegpunkt-'Nahbereiche'
  • >> Arbeiten mit Routen
  • Navigation
  • Geschwindigkeitsanzeige
Abschnitte, die im englischsprachigen Inhaltsverzeichnis nicht separat aufgeführt sind:
  • >> Position ändern (Edit Position)
  • >> OziCEgps

Was ist eine Karte

Im OziExplorer ist eine Karte ein kalibriertes (georeferenziertes) Kartenbild, mit dessen Hilfe der OziExplorer jede Pixelposition auf der Karte zur Bestimmung der wahren geografischen Position benutzen kann.

Wenn Sie im PC-OziExplorer eine Karte kalibrieren, wird eine Kartendatei mit der Endung .map erstellt, die die Kalibrierungsdaten und einen Link zu dem Kartenbild enthält, das Sie benutzen.

Eine .map-Datei enthält daher mindestens diese Angaben:

  • einen Link zum Kartenbild
  • das Kartendatum
  • die benutzte Kartenprojektion
  • die Kalibrierungsdaten zur Karte.

Die Kalibrierung und Erstellung der .map-Datei muss im PC-OziExplorer durchgeführt werden; danach werden die Dateien auf den CE kopiert.

Wenn Sie im OziExplorerCE eine Karte benutzen wollen, müssen Sie eine Kartendatei mit der Endung .map öffnen (Beispiel: World.map).

Der OziExplorerCE liest dann aus der Kartendatei:

  • den Namen der zugehörigen Kartenbilddatei und öffnet das Bild
  • das Kartendatum und die Kartenprojektion
  • die Kalibrierungsdaten und rechnet daraus die Pixel-Koordinaten des Kartenbildes in geografische Koordinaten um.

Eine Karte besteht also aus 2 Dateien:

  1. der .map-Datei, die die oben aufgeführten Angaben enthält
  2. der Bilddatei (.ozf2), welche das Bild der Karte enthält.

Bevor Kartenbilder im OziExplorerCE benutzt werden können, müssen sie mit Hilfe des Programms img2ozf.exe in das ozf2-Format konvertiert werden. Dieses Programm kann von der Webseite www.oziexplorer.com heruntergeladen werden.

Öffnen einer Karte

Benutzen Sie den Menüpunkt 'File / Open Map File' oder den entsprehen Knopf auf der Toolbar.

Kartendateien (.map) müssen im PC-OziExplorer erstellt und dann auf den CE kopiert werden; OziExplorerCE kann keine .map-Dateien anfertigen.

Wählen Sie die zu ladende Karte von der Liste in der Dialogbox. (Sie können durch die Ordner auf Ihrem System navigieren, um einen Kartenpfad zu finden.)

Wie nach einem Kartenbild gesucht wird

OziExplorerCE sucht nach folgendem Schema nach einem Kartenbild:

Der Name des Kartenbildes wird der .map-Datei entnommen; Pfad und Dateiendung werden entfernt.

Die Endung .ozf2 wird dem Namen angehängt.

  • Der Image File Path 1 wird nach dem Namen durchsucht.
  • Falls nicht gefunden, wird Image File path 2 durchsucht.

Falls auch hier nicht gefunden,

  • wird der Pfad durchsucht, in dem sich die .map-Datei befindet.

Ist auch dies erfolglos, wird der Name der .map-Datei dazu benutzt, den ganzen Suchlauf nochmals zu wiederholen.

Wenn auch dies fehlschlägt, wird die Meldung "I mage File not Found" angezeigt.

Indexdateien zur schnelleren Kartensuche

Für eine schnellere Kartensuche sind die .map-Dateien indiziert und die Indizes sind im Ordner "System Files" abgelegt, unterhalb des Ordners "OziExplorer".

Diese Indexdateien werden zum ersten mal angelegt, wenn eine Kartensuche gestartet wird. Die Zeit für die erstmalige Erstellung der Indizes variiert in Abhängigkeit von der Anzahl der Karten in jedem aktiven Kartendateipfad (siehe 'Configuration / Map & Data Files).

Die Indizes werden zur Kartensuche benutzt:

  • bei der Suche nach einer detaillierteren Karte im Moving Map-Modus ("More Detailed Map")
  • bei den Funktionen (über das Menü 'Map' oder 'Screen Control')
    • Finde Karten am Cursor
      (Find Maps at Cursor)
    • Detailliertere Karte
      (More Detailed Map)
    • Weniger detaillierte Karte
      (Less Detailed Map)

Verschieben der Karte (Scrolling)

Es gibt 3 Wege, die Karte zu verschieben:
  1. Mit dem Finger oder Stift auf den Bildschirm zu tippen, bewegt den betreffenden Punkt in die Bildschirmmitte. Das Tippen an den Rand bewegt die Karte also schneller als das Tippen in die Nähe der Mitte.
  2. Mit dem Stift über die Karte zu schieben, verschiebt die Karte. Wenn allerdings "Objekt verschieben" (Drag Object) aktiviert ist, achten Sie darauf, nicht ein Objekt zu bewegen.
  3. mit den Pfeil- oder Cursortasten Ihres Geräts, soweit vorhanden.

Verschieben ist nicht möglich

  • im Moving Map-Modus (Echtzeit-Tracking)
  • oder bei aktivierter 'Screen Control'.

Kartenobjekte, Popup-Informationen und -Menüs

Popup-Information - Halten Sie den Stift auf der Karte oder einem Kartenobjekt (Wegpunkt, Routen.Wegpunkt oder Trackpunkt) gedrückt, bis ein roter Kreis erscheint (etwa 0,5 Sek.); lassen Sie den Stift los und Sie sehen Informationen zur Karte bzw. dem Objekt. (Die Kreisfarbe kann sich bedingt durch die Farbe der unterliegenden Karte ändern.)

Das Fenster bleibt 10 Sekunden stehen. Um es gleich zu schließen, tippen Sie darauf.

Popup-Menü - Halten Sie den Stift auf der Karte oder einem Kartenobjekt (Wegpunkt, Routen.Wegpunkt oder Trackpunkt) mindestens 1 Sekunde gedrückt und Sie sehen ein Popup-Menü mit verschiedenen Menüpunkten. Das Menü zur Karte hat die Zoom-Optionen Vollformat oder 100%. Die Menüs zu Kartenobjekten unterscheiden sich je nach Art des Objekts.

GPS-Info Status-Leiste

Zeigt links die Position (Koordinaten) und rechts NMEA-Status und -Aktivität.
  • "ON" zeigt nur, dass die Verbindung besteht.
  • "NF" "No Fix" (weißer Text auf rotem Grund) zeigt, dass die Verbindung besteht, aber kein guter Fix besteht - obwohl evtl. bereits eine Position übertragen wird.
  • " * " blinkt an und aus, wenn NMEA-Datensätze verarbeitet werden.
  • " L " erscheint, wenn ein Trackpunkt in den Speicher geloggt wird.
  • " T " erscheint, wenn ein Trackpunkt auf den Bildschirm geloggt wird.
  • "Busy" "beschäftigt" (weißer Text auf blauem oder grünem Grund) zeigt, dass das Programm den letzten NMEA-Datensatz noch verarbeitet, wenn bereits ein neuer ankommt; der neue wird dann nicht verarbeitet.

Außerdem werden in der Statuszeile angezeigt: die Daten zum GPS-Fix (0=kein Fix, G=GPS-Fix, D=DGPS-Fix + jeweils die Anzahl der verfolgten Satelliten) sowie die Zeit des letzten DGPS-Updates.

'Moving Map' (Echtzeit-Tracking)

Für Moving Map benötigen Sie ein GPS, das die NMEA-Protokolle $GPRMC, $GPGGA, $GPGLL liefert; das $GPVTG-Protokoll wird benutzt, um zusätzliche Informationen zu erhalten, falls gewünscht.

Sie müssen OziCE konfigurieren und das von Ihrem GPS ausgegebene Protokoll wählen; wenn Ihr GPS $GPRMC liefert, wählen Sie stets dieses, da es die meisten Informationen enthält. Das zweitbeste ist $GPGGA und danach $GPGLL.

Verwenden Sie die für die Verbindung die höchstmögliche Baudrate, achten Sie aber darauf, dass OziCE und das GPS beide dieselbe Baudrate benutzen.

Verglichen mit PCs sind CE sehr langsam und sie können in der kurzen Zeit zwischen zwei NMEA-Datensätzen oft nicht den Bildschirm aktualisieren, den Track und die Wegpunkte zeichnen, Wegpunkt-Nahbereiche checken usw. usw., so dass in den GPS-Daten Zeichen fehlen und die Information verfälscht werden kann. Dagegen habe ich bei der Programmierung bisher kein Mittel gefunden. Wenn dies passiert, werden unzuverlässige Daten empfangen und falsche Positionen berechnet; das führt dann gewöhnlich zum Absturz der Kartendarstellung oder zum Hinterherhinken der dargestellten hinter der realen Position.

Um sich hiervor zu schützen, sollten Sie:

1. Erhöhen Sie das Zeitintervall zwischen zwei Bildschirm-Updates auf 2 oder 3 oder mehr. Die Positionsdaten, Geschwindigkeitsanzeige und Wegpunkt-Nahbereiche werden dann wie vorher upgedatet und gecheckt aber die Erneuerung des Bildschirms erfolgt seltener. Dies die BESTE und bevorzugte Methode, um diesen Problemen vorzubeugen.

2. "Use Chk Sum" (Kontrollsumme) sollte in der NMEA (GPS)-Konfiguration aktiviert sein. Die Kontrollsumme wird berechnet und mit derjenigen im Datensatz verglichen; wenn sie nicht übereinstimmen, wird der Datensatz ausgeschieden. Dies verhindert die Verarbeitung falscher Daten, aber nicht, dass die NMEA-Position hinter der realen herhinkt.

3. Halten Sie den Track-'Schweif', der in der Konfiguration eingestellt wird, sehr kurz. Es gibt zwar ein Limit von 1000 Punkten, aber selbst 100 können schon Probleme bereiten. Schalten Sie ihn ganz ab, falls nötig.

4. Halten Sie die Strichbreite des Tracks möglichst gering, nicht mehr als 2 pixel.

5. Setzen Sie den Logpunkt-Abstand (Mem Log Dist) relativ hoch, so dass weniger Punkte für den Schweif aufgenommen werden. Dies hat den Vorteil, dass ein kürzerer Schweif eingestellt werden kann. Das Loggen des abzuspeichernden Tracks (File Log Dist) ist hiervon unabhängig.

Kartenwechsel - Eine neue Karte wird gesucht, wenn der Kartenrand, die sog. 'neat line' (Eckmarkierungen), erreicht wird. Die detaillierteste Karte wird gewählt. Falls in der Konfiguration aktiviert, wird in dem dort eingestellten zeitlichen Abstand unabhängig von der Position auf der Karte eine detailliertere Karte gesucht. Es wird nur in den aktiven Kartendateipfaden gesucht (in der Konfiguration als aktiv markiert). So können Sie Ihre Karten nach verschiedenen Kategorien ordnen. Ich halte z.B. meine Tourenkarten getrennt von meinen Seekarten usw.

Moving Map starten - Wählen Sie im Map-Menü die Option 'Moving Map (GPS)' oder drücken Sie die Taste Start GPS .

Karten finden

Die Option Find Map at Cursor im Map-Menü durchsucht den Ordner der gerade aktiven Karte und die aktiven Kartendateipfade und findet dort alle Karten, die die gegenwärtige Cursorposition enthalten.

Eine Karte in der Dateiliste wird geöffnet:

  • durch Doppelklick darauf (das Dialog-Fenster bleibt stehen); dies gestattet, weitere Karten schnell anzusehen, falls gewünscht.
  • oder durch Markierung und Drücken des OK-Knopfs (das Fenster schließt sich danach).

Kartenmaßstab

Mit 'Scale' im View-Menü wird eine Maßstabsleiste in die Karte eingeblendet. Die Zahl darauf entspricht der Länge jedes Segments dieser Leiste (d.h. sie gibt die Länge des weißen Segments an; alle Segmente sind gleich lang).

Die Maßstabsleiste kann verschoben werden, indem man auf sie klickt und dann ihre Titelleiste verschiebt. Ein nochmaliger Klick auf den Maßstab und die Titelleiste verschwindet wieder. Die Maßstabsleiste kann nicht gedreht werden.

Karten-Zoom

Die Karte kann gezoomt werden durch Klicken auf die Vergrößerungsglas-Icons auf der Toolbar oder über die Zoom-Option im Map-Menü. Zoomstufen von 40% und höher können nach Bedarf im Menü File / Configuration / General Settings / Zoom Levels konfiguriert werden. Zoomstufen unter 40% sind immer verfügbar.

Die 'Full Map'-Zoomstufe wählt einen Zoom, mit dem die Karte ungefähr den Bildschirm ausfüllt. Diese automatisch gewählte Stufe ist immer eine aus der Zoomliste; so kann die Karte geringfügig größer oder kleiner als der Bildschirm sein, aber sie wird ziemlich passen.

Die 'Full Map'-Zoomstufe ist sehr nützlich. Sie kann auch über die entsprechende Taste auf der Toolbar oder über das Popup-Menü (Stift gedrückt halten auf der Karte) angewählt werden. Die 100%-Stufe ist auf gleiche Weise wählbar, so dass Sie schnell in den Normalzoom zurückkehren können. 'Full Map' kann ähnlich benutzt werden wie die 'Map View'-Funktion.

Anm.: Es können nicht beliebig viele Zoomstufen definiert werden (aus technischen Gründen). Zoomen durch ziehen der Karte (drag) ist nicht möglich.

Kartenübersicht

Die Kartenübersicht ('Map View') zeigt die gesamte Karte an.

  • Tippen auf diese Übersicht verschiebt die Hauptkarte zu dem entsprechenden Punkt.
  • Klicken Sie auf den farbigen Rand und Sie erhalten eine Liste der verfügbaren Karten zu der betreffenden Position.
  • Diese Knöpfe (+/-) ändern die Größe des Map View-Fensters.
  • Über den Knopf mit rotem Punkt de-/aktivieren Sie die Darstellung von Wegpunkten, Kartenmerkmalen und Kartenkommentaren.

Abspielen eines Tracks

Zum Abspielen eines Tracks wählen Sie im Menü View / Tracks "Replay Track". Laden Sie den gewünschten Track. Wählen Sie "Moving Map (GPS)" im Map-Menü oder drücken Sie Start GPS auf der Toolbar. Der Track wird abgespielt, wobei dieselbe Konfiguration benutzt wird wie bei normalem Moving Map-Betrieb. Zum Abbrechen wählen Sie den Menüpunkt "Replay Track" erneut.

Auf dem CE können auch Tracks abgespielt werden, die mit dem PC-OziExplorer erstellt wurden.

Navigation

Navigation kann folgendermaßen gestartet werden:

  • Wählen Sie einen Wegpunkt in der Wegpunktliste und tippen auf die 'GoTo'-Taste.
  • Erstellen und/oder laden Sie eine Route und schalten Sie die Navigation entlang der Route an. Achtung: Dies ist kein Auto-Routing, Sie müssen die Route manuell verfolgen. Zu Details siehe das Kapitel Arbeiten mit Routen.
  • Wählen Sie einen Ort im Namensuche-Dialog und tippen auf die 'Gt'-Taste (GoTo).

Informationen zur Navigation können in einer Statusleiste angezeigt werden. Sie kann über 'Navigation Info' im View-Menü an- oder ausgeschaltet werden.

Geschwindigkeitsanzeige

Die Geschwindigkeitsanzeige (Configuration / Speed Monitor) spielt .wav-Dateien ab, wenn die Schwellen-Geschwindigkeiten überschritten werden. Wenn die .wav-Dateien nicht gefunden werden, werden die Standard-Töne benutzt.

  • Min-Speed - Die minspeed.wav-Datei wird abgespielt, wenn Ihre Geschwindigkeit unter die eingestellte Minimal-Geschwindigkeit sinkt. Sie wird erst wieder abgespielt, wenn diese Geschwindigkeit über- und wieder unterschritten wird.
  • Die setspeed.wav-Datei wird abgespielt, wenn Ihre Geschwindigkeit die hier eingestellte Geschwindigkeit (Set) überschreitet.
  • Die maxspeed.wav-Datei wird abgespielt, wenn Ihre Geschwindigkeit die eingestellte Maximal-Geschwindigkeit überschreitet.

Diese Geschwindigkeiten können voneinander unabhängig durch Anhaken aktiviert werden.


Hints and Tips

Ratschläge und Tipps

  • Tracks aufzeichnen (Log)
  • Entfernungen messen
  • Karten generieren (OZF2-Dateien)
  • Kartenmaßstab und 'Nahbereich'
  • Kartenmaßstab und Wegpunkte setzen
  • Tipps zu den Toolbars (Tooltips)
  • Popup-Information zu Kartenobjekten
  • Popup-Menüs für Kartenobjekte

Tracks aufzeichnen (Log)

Die Parameter zum Aufzeichnen von Tracks werden im Menüpunkt File / Configuration / Tracks eingestellt.

Die Aufzeichnung kann über den Menüpunkt File / Track Log an- oder ausgeschaltet werden.

Setzen Sie bei der Konfiguration die 'File Log Dist' auf mindestens 500 m, um sicherzustellen, dass nicht zu viele Punkte geloggt werden. Die Log-Distanz ist eine Filterung, die nicht effektiv arbeitet, wenn sie zu niedrig eingestellt ist. (Bei langen, geraden Streckenabschnitten würden zu viele Punkte geloggt.)

Halten Sie den 'Schweif' (Track Tail) möglichst kurz - sonst dauert es bei jeder Positionsänderung zu lange, den Track neu zu zeichnen, wodurch Positions-Updates verloren gehen.

Entfernungen messen

Mit der Track-Funktion kann man auch die Entfernung zwischen 2 Punkten messen.

  • Schalten Sie die Track-Toolbar an (Menü View / Toolbars)
  • Drücken Sie die Track-Nummer [image], bis ein leerer Track aktiv ist.
  • Benutzen Sie den [image] - oder [image] -Knopf, um Trackpunkte an den 2 Punkten zu setzen.
  • Drücken Sie [image] (Liste) und entnehmen Sie die Entfernung der Spalte 'Distance'.

Karten generieren (OZF2-Dateien)

Hier ein paar Techniken, die ich bei meinen Karten benutze.

  • Benutzen Sie keinen größeren Kartenmaßstab, wenn ein kleinerer ausreicht. Also nehmen Sie eine 1:100.000-Karte statt einer 1:50.000 oder 1:25.000, wenn sie die benötigte Information genau genug darstellt.
  • Manche Karten sind mit höherer Auflösung (dpi) generiert oder gescant als notwendig, um alle Details zu erkennen. In diesem Fall benutzen Sie die Funktion 'Initial Resize' im Programm 'Image to Ozf', um die Größe der Karte auf ein akzeptables Maß zu reduzieren. Ein brauchbares Ergebnis bedarf einigen Probierens.

Kartenmaßstab und 'Nahbereich'

Beim Festlegen des Nahbereichs (Proximity) beachten Sie den Kartenmaßstab! Bei kleinem Maßstab (z.B. 1:100.000 oder höher) sollten Sie einen größeren Bereich (z.B. 1.000 m) wählen als bei einem großen Maßstab (z.B. 1:25.000), wo 200 m passen könnten.

Kartenmaßstab und Wegpunkte setzen

Es ist unwahrscheinlich, dass ein auf einer kleinmaßstäblichen Karte bei 100% Zoom gesetzter Wegpunkt auf der erwarteten exakten Position sitzt. Wenn die Position bei 100% Zoom um 1 oder 2 Pixel daneben liegt (was auf dem Bildschirm korrekt erscheint), wird dieser Fehler beim Hineinzoomen deutlicher werden.

Bei kleinmaßstäblichen Karten, besonders wenn Sie geringe 'Nahbereiche' gesetzt haben, müssen Sie eine exakte Positionierung - für ein genaues Autoprompting - vornehmen, indem Sie die Wegpunkte bei einem Zoom von über 100% setzen.

Tipps zu den Toolbars (Tooltips)

Nur für PocketPCs.

Halten Sie den Stift auf einem Toolbar-Knopf gedrückt, um einen Hinweis zu diesem Knopf zu erhalten. Um loszulassen, ohne den Befehl auszulösen, ziehen Sie den Stift fort, bevor Sie ihn loslassen.

Popup-Information zu Kartenobjekten

Halten Sie den Stift auf der Karte oder einem Wegpunkt, Routenwegpunkt oder Punkt eines aktivierten Tracks gedrückt, bis ein roter Kreis erscheint (ca. 0,5 Sek.), lassen Sie los und es erscheint ein Info-Fenster zu diesem Objekt.

Popup-Menüs für Kartenobjekte

Halten Sie den Stift auf der Karte oder einem Wegpunkt, Routenwegpunkt oder Punkt eines aktivierten Tracks für mindestens 1 Sekunde gedrückt und es erscheint ein Popup-Menü mit verschiedenen Optionen.


Image Formats Supported

OziExplorerCE only supports 2 image formats, the OZF and OZF2 formats, developed especially for use in OziExplorerCE. A conversion program is provided to convert map images into this format. Most of the file formats supported by PC OziExplorer can be converted.

The OZF format has been superseded by the OZF2 format and can no longer be created by the img2ozf conversion software.

Why a New Format?

The PocketPC and CE devices with limited RAM require an image format which can be read from disk as required, that is, just the portion needed to be displayed on the screen can be read from the file (this is called paging), this keeps the memory requirements of the software very low. The OZF2 format was developed to allow very fast paging from disk.

As an example:

  • the BMP format cannot be "paged" from disk (generally) so the entire image must be read and stored in memory. This means 2 copies of the image are needed when the image is loaded, 1 on file and 1 in memory. CE devices usually do not have enough memory to allow this for reasonable sized maps. This also applies to GIF, JPG, PNG and most others.

In some cases the size of the image stored on a plug in memory card may exceed the device's program memory, because the ozf2 format is paged from disk the software can still run and use the large image.

There is no upper limit on the size of an ozf2 image file, the limit is the ability to convert the image

Why not JPG, the files are very small???

  • The files are small because of the large amount of compression, this means they will take a long time to load (on a slow CE device this makes it impractical for useful size maps). Once uncompressed into memory the image size and therefore memory is the same as the original size of the image without compression.

Other formats - TIF, BSB?

  • The only formats which can be paged from disk are the TIFF and BSB. BSB cannot be the only format supported as it is proprietary and cannot be written by the user. TIFF is a good format but LZW compression cannot be used because of licensing requirements and Packbits compression is fine for maps with large areas of single color (e.g. USGS DRG maps) but is not suitable for self scanned maps where multiple colors predominate.

Will other Formats be Supported in OziExplorerCE?

  • Probably not. Almost all the standard image formats the full OziExplorer supports can be converted directly using the img2ozf utility.

OZF Conversion Software

  • A program to convert image files to the OZF2 format (img2ozf.exe) is available from the OziExplorer website (includes additional Help on using the Img2Ozf program).


Img2ozf

Using the Img2Ozf Software

Fields

Source Image Folder - Use the button on the right hand end of the field to select the folder where the image(s) to be converted are located.

Destination Folder - The folder where the converted images are saved. The button with the Up arrow [image] will make the folder the same as the Source folder.

Temp File Folder - The conversion process may need to create some temporary files, this specifies the folder where the temporary files are placed.

Map File Path - The path where the map files for the images to be converted. If "Copy the Map File" is selected, this path will be searched for a map file for the converted image. If a map file is found it will be copied with "_ozf" added to the end of the name and the link to the image in the map file will be updated for the new image. If an image is resized using the Initial Resize option, a map scale factor will be added to the map file for correct calibration.

Copy the Map File - Used in conjunction with the "Map File Path". If selected, this path will be searched for a map file for the converted image. If a map file is found it will be copied and the information in the file updated.

Include Image Path - If selected, the full path to the converted image will be included in the map file.

Initial Resize - Set the new image size as a percentage of the original image if the checkbox is selected. The resized image will become the 100% image in the ozf2 file. The last resize setting used will be saved but you must always tick the checkbox if you want the initial resize done. Note: Unless you have a specific requirement to have the image resized the value should be left at 100% for most conversions.

Number Colors - This specifies the number of colors to use in the converted image. You must always make sure the checkbox is ticked if you want the color reduction done.

  • Reducing the number of colors gives smaller files as compression is improved.
  • If the number of colors specified is too small the image quality will be reduced.
  • The minimum number of colors which can be specified is 8.
  • Images which have 256 colors or less will take longer to convert as the color reduction function needs to be done. Images which have 16 million colors will take no longer as a color reduction is performed anyway.

In general

  • 48 colors will show no significant reduction in image quality (this is the default).
  • Less than 48 colors will gradually reduce the image quality until at 8 colors the image quality will be very poor.
  • 32 colors seems to be a good compromise if a reduced image size is a requirement.

Note : Some images (especially dedicated mapping formats) already use a small number of colors, so specifying color reduction will have minimal affect on image size or quality, but it will take longer to convert the images as the color reduction function will still be performed.

USGS DRG maps are an example of maps which use few colors.

Image File List - The list of files in the Source Image Folder that can be converted. You can select as many files in the list as required using the "Shift" or "Ctrl" keys while clicking on the image name. The list can be sorted on a column by clicking on the column title. (eg to sort on Image Type, click Type). The list can be filtered using the "Filter" box.

Filter - The list of images can be filtered. Select the image type from the dropdown box.

Select (None/All) - To deselect current selections or to select all of the images in the list.

Buttons

Refresh the Image List - Forces a refresh of the image list. Useful if you have added additional images into the folder while img2ozf is running.

Process Image Files to OZF2 Files - Processes the images.

Abort - Aborts the process. The abort may not be immediate as some parts of the process cannot be interrupted.

Show Log - Displays a window which lists the images converted and their status.

Help - Runs the Img2ozf Help.

Close - Closes the program.

Progress Information

Image Details Box - The box will display information about the image which is being converted. The information shown is the image file name, image size, whether the image is fully loaded or paged and the memory required.

Image Thumbnail - A thumbnail of the image will be shown during the conversion process.

Status Bar - The Status Bar at the bottom of the window will display information during the conversion process.


Registered Features

Registered/Unregistered Features

These are the restrictions placed in the Demonstration version of OziExplorerCE

  • Moving map mode (communication with the GPS) will only remain active for 20 mins each time OziExplorerCE is run and then 10 mins after that (until restarted). At the end of these times a dialog will be displayed and communication will be deactivated.
  • A watermark using the text "Demo Version" will be drawn onto the map.

Other than for the restrictions mentioned above, the evaluation version works exactly the same as the purchased version.


Conditions of Use

OziExplorerCE is provided for entertainment and experimentation purposes only, it is not intended as a primary source of navigation or as the primary means of piloting and guiding of vehicles. Always rely on your own navigational skills and official maps or charts before making a decision on any actions you take.

Warranty

We provide no warranty what-so-ever with this Software, and do not warrant that the functions contained in the Software will meet your requirements or that the Software operation will be uninterrupted, error free or 100% accurate, while we have worked hard to make it as bug free as possible, it is expected that you will find bugs, problems , inconsistencies, miscalculations and so on.

Limitations of Liability

In no event will we be liable to you for any damages including any lost profits, lost savings, or other incidental or consequential damages arising out of the use or inability to use the Software or for any claims by any other party. The use of the software is at the exclusive risk of the user.

License Conditions

A Registered or Purchased copy of OziExplorerCE may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both. This is not a concurrent use license.

Feedback

While we can not guarantee that every aspect of the Software will work exactly as you want it to, we can guarantee that we will do our best to solve problems, add features and make enhancements to its operation.

Copyright (c)

OziExplorerCE is protected by copyright and all rights remain the sole property of D & L Software Pty Ltd Australia.


Edit Position

Position ändern (Edit Position)

Diese Dialogbox erlaubt es, die Positionen von Wegpunkten und Routen-Wegpunkten zu ändern.

Format - Wählen Sie das Format der einzugebenden Positionsdaten durch Klicken auf den Pfeil [image] des Dropdown-Feldes.

Diese Positionsformate stehen immer zur Verfügung:

  • Deg.Min
    = Grad.Minuten
  • Deg.Min.Sec
    = Grad.Minuten.Sekunden
  • UTM
Andere Formate werden folgendermaßen hinzugefügt:
  • Das Positionsformat, das der Projektion / dem Gitter der Karte entspricht, wird immer hinzugefügt.
  • Das Positionsformat, das Sie zur Anzeige der Kartenposition gewählt haben, wird immer hinzugefügt.

Latitude oder Longitude - Breite oder Länge. Geben Sie die Koordinate im jeweils gewählten Format ein. Sie können irgendwo in der Zeichenfolge "N oder S" bzw. "E oderW" mit eingeben, um Nord, Süd, Ost oder West zu spezifizieren. + oder - Zeichen können auch benutzt werden.

Hier ein paar Beispiele gültiger Positionseinträge. Ob hierbei 'Deg.Min' oder 'Deg.Min.Sec' eingestellt ist, ist egal. Das Format wird vom Programm selbsttätig aufgrund der Leerzeichen in der Zeichenfolge erkannt.

145.45675W = Grad (dezimal), West

56 32.4534S = Grad und Minuten, Süd

-23 46 12.56 = Grad, Minuten und Sekunden, Süd.

Easting oder Northing - Ostwert oder Nordwert. Wenn sie ein Gitter gewählt haben, ändert sich das Positionsformat in Ostwert und Nordwert. + oder - Werte können eingegeben werden.

Wenn das Gitterformat die Eingabe einer Zone verlangt, wird hierfür ein entsprechendes Feld eingeblendet.

Wenn das Gitterformat UTM ist, wird ein besonderes Feld 'Hemisphere' für die Erdhalbkugel (N oder S) eingeblendet.


German Translation

Anmerkung
zur deutschen Übersetzung der Hilfetexte

Zugrunde lagen die englischsprachigen Hilfetexte der OziExplorerCE-Version (Beta) 1.11.4 mit OziCEgps (Beta) 1.10.2.

Die englischen Bezeichnungen wurden z.T. beibehalten, um den Bezug zur englischsprachigen Benutzeroberfläche des Programms nicht zu verlieren.

Einige kleinere Unstimmigkeiten im Handbuch habe ich korrigiert, wo sie mir auffielen.

Hinweise auf eventuelle Fehler oder Verbesserungsvorschläge bitte an:

eMail-Adresse des Übersetzers

22.02.2004 / 06.08.2004


Using OziExplorerCE

Der OziExplorer CE
- Deutsches Handbuch -

(Anm.: : Alle Verweise auf PocketPCs beziehen sich auch auf PalmPCs)

  • Tutorial
  • Beschränkungen
  • Verbinden Ihres CE-Gerätes mit Ihrem GPS
  • Konfiguration
  • Die Menüs
    • File (Datei)
    • View (Ansicht)
    • Map (Karte)
  • Die Toolbars (Werkzeugleisten)
  • Namensuche
  • Bedienung [image] Hilfe zur Benutzung des OziExplorerCE
  • Ratschläge und Tipps
    Anmerkung
    zur deutschen Übersetzung der Hilfetexte


OziCEgps Help

Ozi CE gps

Anm.: Dieses Programm zum GPS Upload/Download ist in den OziExplorerCE integriert. Es wird von dort aus über File / Upload/Download gestartet.

Das Programm macht es möglich, Wegpunkte, Routen und Tracks vom GPS herunterzuladen.

(Der Upload zum GPS ist noch nicht möglich und soll im nächsten Release enthalten sein.)

Das Menü 'File'

ozicegps_menu_file.gif (1930 bytes)

System Configuration - Legen Sie den Dateipfad fest, in den die heruntergeladenen Daten gespeichert werden sollen.

GPS Configuration

ozicegps_cfg_gps.gif (4128 bytes) Konfigurieren Sie:

  • GPS - Wählen Sie die Bauart des GPS aus der Liste.
  • Upload/Download Baud rate - Hier muss die Baudrate Ihres GPS gewählt werden.
  • Com Port - Wählen Sie den COM-Port des CE, über das das GPS angeschlossen ist.
  • Upload/Download Datum - Spezifiziert das Kartendatum, das der OziExplorerCE beim Upload / Download der Daten (Wegpunkte, Tracks und Routen) vom / zum GPS benutzen soll. Garmin- und Magellan-Geräte benutzen ausschließlich das WGS 84-Datum beim Up-/Download. Lowrance / Eagles variieren; einige benutzen das Datum, auf das das GPS gesetzt wird, andere immer WGS 84. Sie müssen ausprobieren, welches Datum benutzt wird.

Help - Öffnet die Hilfe-Datei.

ozicegps_menu_help.gif (2427 bytes)

About - Zeigt die Programm-Version.

Registration Info - Zeigt den registrierten User-Namen.

Download

ozicegps_menu_dload.gif (2015 bytes)

Lädt die Wegpunkte, Routen und Tracks vom GPS herunter in eine Datei. In jedem Fall wird der Dateiname automatisch generiert; er basiert auf dem Systemdatum des CE.

Waypoints - Empfängt Wegpunkte vom GPS.

Track - Empfängt einen Track vom GPS.

Routes - Empfängt Routen vom GPS.

Abort Download - Abbruch eines Downloads vor seinem Abschluss.

Upload

Ein Upload zum GPS kann in diesem Release noch nicht durchgeführt werden. Er ist für das nächste Release geplant.


OziExplorerCE Screen Control

'Screen Control'

Damit es leichter ist, in einer heiklen Situation das Programm zu kontrollieren, wurde der Bildschirm selbst (die Kartenfläche) mit einem 'Gitter' in 9 Zonen auf 2 Seiten unterteilt. Jede Zone funktioniert wie eine Taste, die mit dem Finger gedrückt werden und direkt eine Aktion auslösen kann.

Anm.: Im Moving Map-Modus oder bei aktivierter Screen Control können Sie die Karte nicht verschieben (scroll).

Screen Control - Seite 1

Show/Hide Buttons - zeigt / versteckt ein Overlay auf Ihrer Karte, das das Tastenfeld darstellt. Hiermit können die Tastatur-Optionen hilfsweise sichtbar gemacht werden bzw. es ist feststellbar, ob gerade Seite 1 oder 2 aktiv ist. Es ist jedoch nicht nötig, das Gitter sichtbar zu machen, um die einzelnen Tasten zu benutzen.

More ... (Page 1 / Page 2) - schaltet zwischen den beiden Tastenfeld-Seiten hin und her.

Start/Stop GPS - schaltet die GPS-Verbindung für Moving Map an und aus.

Zoom Down - zoomt aus der Karte heraus auf eine kleinere Zoomstufe.

Zoom Up - zoomt in die Karte hinein auf eine höhere Zoomstufe.

Create Waypoint - Erstellt einen Wegpunkt an der aktuellen Position.

Detailed Search On/Off - de-/aktiviert die Suche nach einer detaillierteren Karte (siehe 'Moving Map').

More Detailed Map - erzwingt die Suche nach einer detaillierteren Karte. Wird eine Karte gefunden, wird sie geladen; in dem Fall wird die automatische "Suche nach einer detaillierteren Karte" abgeschaltet.

Less Detailed Map - erzwingt die Suche nach einer weniger detaillierten Karte. Wird eine Karte gefunden, wird sie geladen; in dem Fall wird die automatische "Suche nach einer detaillierteren Karte" abgeschaltet.

Screen Control - Seite 2

Zoom Down, Zoom Up und Create Waypoint haben dieselbe Tastenbelegung auf beiden Seiten.

Next Leg - Nächste Etappe bei der Routen-Navigation.

Previous Leg - Vorherige Etappe bei der Routen-Navigation.


OziExplorerCE Main Toolbar

Haupt-Toolbar
(Main Toolbar)

Pocket PC Toolbar

Open Map | Kartendatei öffnen - zeigt eine Dialogbox, in der Sie eine Karte wählen und öffnen können.
Start GPS | Start/Stop der Moving Map-Verbindung - öffnet den COM-Port und liest die NMEA-Datensätze vom GPS ein.
Zoom Up | Zoom ein - vergrößert die Karte.
Zoom Down | Zoom aus - verkleinert die Karte.

Handheld PC Toolbar

Die obere Abbildung ist in 2 Bilder geteilt, um in das Hilfefenster eines Pocket-PCs zu passen; in Wirklichkeit ist es eine einzige lange Toolbar.

Open Map | Kartendatei öffnen - zeigt eine Dialogbox, in der Sie eine Karte wählen und öffnen können.
Start GPS | Start/Stop der Moving Map-Verbindung - öffnet den COM-Port und liest die NMEA-Datensätze vom GPS ein.
Zoom Up | Zoom ein - vergrößert die Karte.
Zoom Down | Zoom aus - verkleinert die Karte.
Find Map | Karte finden an Cursor - Durchsucht die Kartendateipfade und zeigt diejenigen Karten an, die die Cursorposition (Bildschirmmitte) enthalten.
Zoom Full | Zoom Vollbild - wählt aus den vorhandenen Zoomstufen diejenige aus, mit der die Karte annähernd den Bildschirm ausfüllt.
Zoom 100% | Zoom 100% - zeigt den 100%-Zoom.
 | Object verschieben - aktiviert die Verschieben-Funktion (drag), so dass Objekte mit dem Stift verschoben werden können.
Screen Control | 'Screen Control' - aktiviert die 'screen control', wodurch der Bildschirm in 9 Segmente unterteilt wird; jedes Segment fungiert dann als Taste.
Show Track | Zeige Track - zeigt / verbirgt den Track.
Show Wpt | Zeige Wegpunkte - zeigt / verbirgt die Wegpunkte.
Show Routes | Zeige Routen - zeigt / verbirgt die Routen.
 | Suche nach detaillierterer Karte - Im Moving Map Modus de-/aktiviert diese Taste die Funktion "Suche nach einer detaillierteren Karte".
 | Namensuche - zeigt das Namensuche-Fenster.

Auf dem Pocket-PC sind die folgenden Tasten auf einer separaten Toolbar.

Map View | Map View - zeigt / verbirgt das Map View-Fenster.
Find a Map | Karte finden an Cursor - Durchsucht die Kartendateipfade und zeigt diejenigen Karten an, die die Cursorposition (Bildschirmmitte) enthalten.
Zoom Full | Zoom Vollbild - wählt aus den vorhandenen Zoomstufen diejenige aus, mit der die Karte annähernd den Bildschirm ausfüllt.
Zoom 100 | Zoom 100% - zeigt den 100%-Zoom.
Drag Objects | Object verschieben - aktiviert die Verschieben-Funktion (drag), so dass Objekte mit dem Stift verschoben werden können.
Screen Control | Screen Control - aktiviert die 'screen control', wodurch der Bildschirm in 9 Segmente unterteilt wird; jedes Segment fungiert dann als Taste.
Show Track | Zeige Track - zeigt / verbirgt den Track.
Show Waypoint | Zeige Wegpunkte - zeigt / verbirgt die Wegpunkte.
Show Routes | Zeige Routen - zeigt / verbirgt die Routen.
ozice_b_detailedmap.gif (912 bytes) | Suche nach detaillierterer Karte - Im Moving Map Modus de-/aktiviert diese Taste die Funktion "Suche nach einer detaillierteren Karte".
Name Search | Namensuche - zeigt das Namensuche-Fenster.


Route Create Toolbar

Routenerstellung
(Route Create Toolbar)

Die meisten Toolbar- und Dialogtasten sind mit Hinweistexten verknüpft. Das gilt für Palm-PCs und Pocket-PCs (bei Handhelds geht das nicht). Halten Sie eine Taste gedrückt und der Text erscheint; ziehen Sie den Stift herunter und die Funktion wird nicht ausgelöst.

ozice_toolbar_route_create.gif (1405 bytes)

Add a route waypoint | Routen-Wegpunkt hinzufügen - Ein Routen-Wegpunkt wird am Ende der Route an der Stelle der Karte eingefügt, auf die Sie klicken.
Insert a route waypoint | Routen-Wegpunkt einfügen - Ein Routen-Wegpunkt wird zwischen zwei Wegpunkten oder am Beginn oder Ende der Route eingefügt.
Delete a route | Route löschen - Die Route wird von der Karte entfernt.
 | Routen-Wegpunkte-Liste - Eine Liste der Routen-Wegpunkte auf der Karte wird angezeigt.
Load a Route | Route laden - Wählen Sie eine PC-OziExplorer-Datei (.rte) oder eine OziExplorerCE-Datei (.rt2) aus; die Route wird in die Karte geladen.
ozice_b_tb_save.gif (901 bytes) | Route speichern - Die gerade geladene Route wird als OziExplorerCE-Datei (.rt2) gespeichert. Sie kann auf der Karte erstellt oder geändert worden sein.
Show route waypoint name | Routen-Wegpunktnamen - Zeigt / verbirgt die Routen-Wegpunktnamen.
ozice_b_tb_close.gif (877 bytes) | Ausblenden - Die Route-Create-Toolbar wird geschlossen.

Anm.: Wenn Sie einen Routen-Wegpunkt löschen oder ändern wollen, halten Sie den Stift auf dem Wegpunkt gedrückt; es erscheint dann ein Popup-Menü mit diesen Optionen.


Route Navigation Toolbar

Routen-Navigation
(Route Navigation Toolbar)

Die meisten Toolbar- und Dialogtasten sind mit Hinweistexten verknüpft. Das gilt für Palm-PCs und Pocket-PCs (bei Handhelds geht das nicht). Halten Sie eine Taste gedrückt und der Text erscheint; ziehen Sie den Stift herunter und die Funktion wird nicht ausgelöst.

ozice_toolbar_route_create.gif (1405 bytes)

ozice_b_tbn_fwd.gif (903 bytes) | Nächster Wegpunkt- Bewegen Sie das Navigations-Ziel vorwärts zum nächsten Wegpunkt der Route. Um zwei Wegpunkte weiter zu gehen, drücken Sie die Taste zweimal.
ozice_b_tbn_back.gif (901 bytes) | Vorheriger Wegpunkt - Bewegen Sie das Navigations-Ziel rückwärts zum vorigen Wegpunkt der Route. Um zwei Wegpunkte zurück zu gehen, drücken Sie die Taste zweimal.
ozice_b_tbn_navfwd.gif (904 bytes) | Start Navigation vorwärts - Beginnt die Navigation vorwärts entlang einer Route.
ozice_b_tbn_navrev.gif (905 bytes) | Start Navigation rückwärts - Beginnt die Navigation rückwärts entlang einer Route.
ozice_b_tbn_navstop.gif (907 bytes) | Stop der Navigation - Beendet die Navigation.
 | Richtungspfeil - zeigt / verbirgt das Fenster mit dem Richtungspfeil (steht nur während der Navigation zur Verfügung).
Load File | Route laden - Lädt eine Route aus einer PC-OziExplorer-Datei (.rte) oder einer OziExplorerCE-Datei (.rt2).
ozice_b_tb_close.gif (877 bytes) | Ausblenden - Die Route-Navigation-Toolbar wird geschlossen.


Track Toolbar

Tracks
(Track Toolbar)

Die meisten Toolbar- und Dialogtasten sind mit Hinweistexten verknüpft. Das gilt für Palm-PCs und Pocket-PCs (bei Handhelds geht das nicht). Halten Sie eine Taste gedrückt und der Text erscheint; ziehen Sie den Stift herunter und die Funktion wird nicht ausgelöst.

Select a Track to make active | Nächsten Track aktiv schalten - Der nächste Track (bis zu 5) wird aktiviert. Der aktive Track kann verändert werden. (Zu Details siehe Arbeiten mit Tracks)
Add a track point | Trackpunkt hinzufügen - Ein Trackpunkt wird am Ende des aktiven Tracks an der Stelle der Karte eingefügt, auf die Sie klicken.
Insert a track point | Trackpunkt einfügen - Ein Trackpunkt wird zwischen zwei Trackpunkten oder am Beginn oder Ende des aktiven Tracks eingefügt.
Delete a route | Track löschen - Der aktive Track wird von der Karte entfernt.
 | Track-Liste - Eine Liste mit Informationen über die 5 verfügbaren Tracks wird angezeigt.
Load a Route | Track laden - Wählen Sie eine Track-Datei (.plt) aus; der Track wird in die Karte als Track mit der Nummer geladen, die vorne auf der Toolbar angezeigt wird, und ist dann der aktive Track.
ozice_b_tb_save.gif (901 bytes) | Track speichern - Der aktive Track wird als Track-Datei (.plt) gespeichert. Er kann auf der Karte erstellt oder geändert worden sein.
ozice_b_tb_close.gif (877 bytes) | Ausblenden - Die Track-Toolbar wird geschlossen.

Anm.: Es werden immer die Trackpunkte des aktiven Tracks angezeigt. Wenn Sie einen Trackpunkt löschen wollen, halten Sie den Stift auf dem Punkt gedrückt; es erscheint dann ein Popup-Menü mit dieser und anderen Optionen.


Waypoint Toolbar

Wegpunkte
(Waypoint Toolbar)

Die meisten Toolbar- und Dialogtasten sind mit Hinweistexten verknüpft. Das gilt für Palm-PCs und Pocket-PCs (bei Handhelds geht das nicht). Halten Sie eine Taste gedrückt und der Text erscheint; ziehen Sie den Stift herunter und die Funktion wird nicht ausgelöst.

Add a waypoint | Wegpunkt hinzufügen - Ein Wegpunkt wird an der Stelle der Karte eingefügt, auf die Sie klicken.
Delete all waypoints | Wegpunkte löschen - Alle Wegpunkte werden von der Karte entfernt.
Waypoint List | Wegpunkte-Liste - Eine Liste der Wegpunkte auf der Karte wird angezeigt. Sie zeigt Informationen zu jedem Wegpunkt.
Show the Load File Dialog | Wegpunktdatei laden - Wählen Sie eine Wegpunktdatei (.wpt) aus; die Wegpunkte werden in die Karte geladen. Auch Wegpunktdateien der PC-Version können geladen werden.
ozice_b_tb_save.gif (901 bytes) | Wegpunktdatei speichern - Alle Wegpunkte auf der Karte werden in eine Wegpunktdatei (.wpt) gespeichert.
Show waypoint name | Wegpunktnamen - Zeigt / verbirgt die Wegpunktnamen.
Auto show dialog | Wegpunkt-Eigenschaften - Hierdurch wird beim Erstellen eines neuen Wegpunktes automatisch das Eigenschaftenfenster eingeblendet, um die Editierung zu ermöglichen.
ozice_b_tb_close.gif (877 bytes) | Ausblenden - Die Wegpunkte-Toolbar wird geschlossen.

Anm.: Wenn Sie einen Wegpunkt löschen oder ändern wollen, halten Sie den Stift auf dem Wegpunkt gedrückt; es erscheint dann ein Popup-Menü mit diesen Optionen.


Working with Routes

Arbeiten mit Routen

(Die Toolbars Routenerstellung und Routen-Navigation werden Sie beim Arbeiten mit Routen unterstützen).

Der OziExplorerCE kann Sie mit Anweisungen entlang einer Route führen: Auto-prompting.

  • Das ist allerdings kein Autorouting; Sie müssen die Route manuell definieren.
  • Beim Auto-prompting sagt Ihnen der OziExplorerCE automatisch, dass Sie rechts oder links abbiegen müssen usw., sobald Sie sich einem Wegpunkt nähern.
  • OziExplorerCE errechnet selber den Winkel beim Abbiegen und die Richtung und wählt das passende Symbol (.bmp) und die abzuspielende Sound-Datei (.wav).
  • Das Symbol wird automatisch angezeigt (Land-Modus) und die .wav-Datei automatisch abgespielt.
  • Die Entfernung zum nächsten Routen-Wegpunkt (Land-Modus) oder der zu steuernde Kurs (See- oder Flug-Modus) wird ebenfalls angesagt.

Bitte beachten Sie: Dieses Feature ist völlig unabhängig vom Setzen eines 'Nahbereichs' und von Datei-Anhängen normaler Wegpunkte.

Wie Auto-prompting arbeitet

Dieser Abschnitt erklärt es in Abhängigkeit von den in 'Configuration / Moving Map' gesetzten Modi:

  • Land Mode (Land-Modus)
  • Marine and Air Mode (See- und Flug-Modus)

Land-Modus

Wenn Sie entlang einer Route navigieren und in den Nahbereich eines Wegpunktes kommen, wird der Winkel berechnet zwischen einer Linie (von der momentanen Position zum Wegpunkt) und einer zweiten Linie (vom Wegpunkt zum nächsten). Dies bestimmt den Abbiegewinkel und die Richtung und somit die Anweisungen:

  • geradeaus
  • Biegung
  • starke Biegung
  • Knick
  • Spitzkehre.

Es ist wichtig, die Wegpunkte überlegt zu setzen, um eine sinnvolle Richtungsansage zu erhalten. Das kann erfordern, zusätzliche Wegpunkte zu setzen, um korrekte Abbiegewinkel sicherzustellen. Es kann ein besonderer Routen-Wegpunkttyp mit der Eigenschaft 'stumm' erstellt werden. Stumme Wegpunkte nehmen an der Navigation zwar sonst nicht teil, werden jedoch benutzt, um den Abbiegewinkel zu berechnen. Typischerweise werden sie kurz hinter einen normalen Wegpunkt in einer Kurve gesetzt, wenn sonst der nächste Wegpunkt die Berechnung einer falschen Richtungsänderung verursachen würde. Der Gebrauch stummer Wegpunkte ist optional; sie werden nicht in jeder Kurve benötigt. Stumme Wegpunkte werden auf der Karte als kleinere Kreise ohne Kreuz darin dargestellt.

Tipp: Beim Eingeben einer Route kann es vorteilhaft sein, vom Ziel aus rückwärts zum Startpunkt vorzugehen.

Es ist nützlich, Wegpunkte auf Hauptkreuzungen zu setzen, auch wenn es geradeaus geht, damit die Richtung angesagt wird. Die Plazierung von Wegpunkten an stärkeren Krümmungen einer Straße sind ebenfalls sinnvoll.

Anm.: Das Programm vermag nicht zu erkennen, ob es sich bei einem berechneten Abbiegewinkel um eine Abzweigung an einer Kreuzung oder nur um eine Kurve handelt.

See- und Flug-Modus

Wenn Sie entlang einer Route navigieren und dabei in den Nahbereich eintreten oder den Wegpunkt passieren, wird unterstellt, dass diese Etappe beendet ist. Dann wird die Navigation zum nächsten Wegpunkt begonnen. Die Richtung von der momentanen Position zum nächsten Wegpunkt wird berechnet und angezeigt. Falls sie aktiviert ist, erfolgt die Richtungsansage.

Richtungspfeil

Er ist hauptsächlich für den See- und Flug-Modus gedacht, kann aber auch im Gelände angezeigt werden.

Um den Richtungspfeil zu zeigen / zu verbergen, drücken Sie die Taste [image] auf der 'Route Nav Toolbar'.

Das Richtungspfeil-Fenster zeigt ein orangefarbenes Segment, das den Winkel zwischen Ihrem tatsächlichen Kurs über Grund und der korrekten Richtung zum nächsten Wegpunkt markiert. Die Markierung am oberen Rand stellt Ihren nächsten Wegpunkt (Ziel) dar und der Pfeil Ihren tatsächlichen Kurs relativ dazu. Wenn Sie in Richtung der Markierung steuern, halten Sie auf Ihr Ziel zu.

Sound-Dateien

Die Namen der Sound-Dateien, die vom OziExplorerCE benutzt werden, beginnen alle mit "ozi_". Falls Sie den Text bzw. die Sprache ändern möchten, gibt es eine Hilfe dazu in englischer Sprache auf der OziExplorerCE-Webseite ('Making Sound Files').

Symbol-Dateien

Dies sind einfach Bitmap-Dateien (.bmp). Die Namen der Symbol-Dateien, die vom OziExplorerCE benutzt werden, beginnen alle mit "ozi_". Sie können ein Symbol durch ein eigenes ersetzen, indem Sie letzterem denselben Namen geben. Machen Sie aber die Bildgröße etwa gleich (nicht viel größer), damit die Karte nicht zu sehr überdeckt wird.

Eine Route Laden

ozice_rte_load.gif (5624 bytes)

Laden Sie eine Route aus einer Routendatei, die auf verschiedene Arten entstanden sein kann:

  • OziExplorerCE (.rt2)
  • PC-OziExplorer (.rte)
  • vom GPS mit OziCEgps heruntergeladen - dies erstellt eine .rte-Datei.

Die OziExplorerCE-Datei (.rt2) enthält immer nur eine Route und ist der Standardtyp für den OziExplorerCE.

Die .rte-Routendatei kann mehr als eine Route enthalten. Wenn sie geladen wird, erscheint eine Dialogbox, mit der die gewünschte Route gewählt werden kann. Markieren Sie die Route und klicken Sie auf OK.

ozice_rte_select_load.gif (4266 bytes)

Eine Route sichern

ozice_rte_save.gif (5023 bytes)

Sichern Sie eine Route, die Sie erstellt oder geändert haben (also die gerade angezeigte Route). Die Datei-Endung ist '.rt2'. Mit der 'Save Route'-Dialogbox können Sie Pfad und Dateinmen festlegen. Der voreingestellte Dateiname enthält Datum und Uhrzeit; sie können aber auch einen eigenen eingeben.

Anm.: Eine Route, die aus einer .rte-Datei (mit mehreren Routen) stammt, wird als .rt2-Datei gespeichert.

Benutzung der Toolbar

ozice_b_pressed.gif (1032 bytes)

Wenn die Tasten zum Hinzufügen oder Einfügen von Wegpunkten aktiv sind, erscheinen sie gedrückt

ozice_rte_addmess.gif (3066 bytes)

und eine Meldung zeigt die gewählte Option an.

Einige Funktionen verlangen eine Bestätigung - Yes / No.

Eine Route erstellen (Überblick)

  • Eine Route zu erstellen, erfordert die Planung Ihres beabsichtigten Weges.
  • Im OziExplorerCE kann eine Route mit den Tasten Hinzufügen Add route waypoint oder Einfügen Insert route waypoint von Routen-Wegpunkten auf der 'Route Create Toolbar' erstellt werden.
  • Wenn eine dieser Tasten gedrückt ist, kann ein Routen-Wegpunkt durch Tippen auf die Karte an der gewünschten Position platziert werden.
  • Ein Wegpunkt wird am Ende der Route hinzugefügt und / oder zwischen den nächstliegenden beiden Routen-Wegpunkten eingefügt.
  • Ein Routen-Wegpunkt kann die Eigenschaft "stumm" haben. Stumme Wegpunkte reagieren NICHT bei Eintreten in ihren Nahbereich und man kann nicht zu ihnen navigieren. Stumme Wegpunkte werden benutzt, um die Richtung der Route (Kurve) zu erstellen, so dass der OziExplorerCE den Winkel der nächsten Abbiegung errechnen kann. Die Benutzung stummer Wegpunkte ist optional. Sie stellen nur ein Hilfsmittel zur korrekten Winkel berechnung dar. Sollte der nächste "richtige" Wegpunkt in der korrekten Wegrichtung liegen, besteht keine Notwendigkeit für einen stummen Wegpunkt.
  • Nach Erstellung Ihrer Route öffnen Sie mit dieser Taste Properties Dialog die Liste der Routen-Eigenschaften. Hier können Sie die gewünschten Wegpunkte in stumme umwandeln. Auch können Sie in der Liste die Reihenfolge der Wegpunkte verändern (Up / Down).

Hinzufügen eines Routen-Wegpunktes (einer Etappe)

  • Tippen Sie auf Add route waypoint 'Hinzufügen', die Taste erscheint gedrückt und eine Meldung wird angezeigt.
  • Tippen Sie dort auf die Karte, wo Sie den ersten Wegpunkt setzen wollen. Ein Wegpunkt erscheint und die Karte wird auf diesen Punkt zentriert.
  • Tippen Sie an der nächsten Stelle auf die Karte, ein weiterer Wegpunkt erscheint auf der Karte und eine Routen-Etappe verbindet die Wegpunkte.
  • Wiederholen Sie diesen Vorgang, bis Ihre Route bis zum Zielpunkt komplett ist.

Hinweis: Durch Herauszoomen kann evtl. die Eingabe des nächsten Wegpunktes erleichtert werden. Wenn Ihr nächster Wegpunkt außerhalb des Bildschirms liegt, verschieben Sie die Karte mit dem Stift weiter. Das können Sie auch tun, während 'Hinzufügen' aktiv ist, sofern Sie den Stift nur sanft bewegen.

Einen Routen-Wegpunkt einfügen

  • Tippen Sie auf [image] 'Einfügen', die Taste erscheint gedrückt und eine Meldung wird angezeigt.
  • Tippen Sie dort auf die Karte, wo Sie einen Wegpunkt einfügen wollen. Ein Wegpunkt erscheint und die Karte wird auf diesen Punkt zentriert.
  • OziCE bestimmt die nächstliegende, zu teilende Etappe und fügt den neuen Wegpunkt zwischen denen dieser Etappe ein. Die Linien der beiden neuen Etappen werden nun angezeigt, sofern 'View / Route / Show' aktiviert ist.
  • Sollte die Reihenfolge innerhalb der Route nicht stimmen, kann ein Wegpunkt in der Routen-Wegpunktliste verschoben (Up / Down) oder gelöscht (Delete) werden.

Einen Routen-Wegpunkt löschen

  • Halten Sie den Stift auf dem Wegpunkt (für 1 Sekunde) gedrückt, bis das Popup-Menü erscheint, und drücken Sie 'Delete Wp'.

Eine Route von der Karte entfernen

  • Wählen Sie die Löschtaste Delete oder den Menüpunkt File / Route / Clear Route from Map. In einer Dialogbox müssen Sie das Löschen noch bestätigen.

Routen-Eigenschaften

  • Drücken Sie die Taste Properties Dialog Routen-Eigenschaften, um die Dialogbox zu öffnen.
  • Markieren Sie einen Wegpunkt und drücken Sie ozice_b_rte_up.gif (905 bytes) oder ozice_b_rte_down.gif (909 bytes), um den Wegpunkt in der Liste auf- oder abzubewegen und ihn damit innerhalb der Route zu verschieben.
  • Drücken Sie ozice_b_rte_rev.gif (907 bytes), um die Reihenfolge der Wegpunkte umzukehren. Dies macht Sinn, wenn der Routenverlauf zurück nicht genau derselbe ist wie hin: Sie können dann die Route umkehren, ändern und danach als neue Routendatei speichern. Diese Funktion dient nicht zur Umkehrung, wenn Hin- und Rückweg identisch sind. In dem Fall verwenden Sie 'Reverse Route' im Menü 'Map / Navigation'.

Einen Routen-Wegpunkt editieren

Name - Geben Sie den Wegpunktnamen ein. Namen können bis zu 250 Zeichen lang sein, aber der Einfachheit halber sollten sie nicht übermäßig lang sein.

Edit Position - Ermöglicht die Änderung der Position eines Wegpunktes. Zu Details siehe Position ändern.

Navigieren entlang einer Route

  • Drücken Sie die Taste ozice_b_tbn_navfwd.gif (904 bytes), um entlang einer Route mit der Navigation vorwärts zu beginnen.
  • Drücken Sie die Taste ozice_b_tbn_navrev.gif (905 bytes), um entlang einer Route mit der Navigation rückwärts zu beginnen.
  • Während der Navigation wird automatisch die 'Navigation Info'-Leiste angezeigt, sofern dies im View-Menü angehakt ist.
  • Am Ende der Route wird die Navigation abgeschaltet; auf Pocket-PCs wird die 'Navigation Info'-Leiste geschlossen.
  • Um schon vor dem Ziel der Route die Navigation zu beenden, drücken Sie ozice_b_tbn_navstop.gif (907 bytes) 'Stop Navigation'.


Working with Tracks

Arbeiten mit Tracks

Benutzer-Tracks

Der OziExplorerCE unterstützt maximal 5 Benutzer-Tracks.

Es können Tracks im OziExplorerCE erstellt oder aus der PC-Version geladen werden. Umgekehrt können auch im OziExplorerCE erstellte Tracks in den PC-OziExplorer geladen werden.

Maximal können bis zu 20.000 Trackpunkte gleichzeitig in den Arbeitsspeicher geladen werden (d.h. von allen 5 Tracks zusammen). Eine große Anzahl verlangsamt das System und 20.000 Punkte wirken sich beträchtlich aus.

  • Die Benutzer-Tracks werden mit der Track-Toolbar gehandhabt.
  • Die dort angezeigte Nummer [image] identifiziert den aktiven Track.
  • Wenn der Track mindestens einen Punkt besitzt, ist diese Nummer weiß dargestellt.
  • Jeder Track kann durch Klicken auf die Nummerntaste der aktive werden (indem man von Track zu Track weiterschaltet).
  • Der aktive Track wird auf der Karte mit kleinen weißen Kreisen für jeden Punkt dargestellt.
  • Der aktive Track kann geändert oder abgespeichert werden.
  • Trackpunkte können durch Klicken auf die Karte hinzu- oder eingefügt werden, wenn entweder der Knopf 'Trackpunkt hinzufügen' oder 'Trackpunkt einfügen' aktiviert ist.
  • Trackpunkte (die kleinen weißen Kreise) können mit dem Stift verschoben werden (drag), wenn der Knopf 'Objekt verschieben' (auf der Toolbar) aktiv ist.
  • Um die Koordinaten anzuzeigen, drücken Sie mit dem Stift auf einen aktiven Trackpunkt. Lassen Sie los, sobald ein roter Kreis um den Punkt erscheint.
  • Weitere Optionen liefert ein Popup-Menü. Halten Sie den Stift auf einem aktiven Trackpunkt gedrückt, bis das Menü erscheint (ca. 1 Sekunde).

Benutzung der Track-Toolbar (siehe hier)

  • Tippen Sie auf die Tracknummer-Taste, um einen bestimmten Track aktiv zu schalten.
  • Wenn diese Taste schwarz [image] ist, ist unter dieser Nummer kein Track geladen.
  • Wenn diese Taste weiß [image] ist, ist ein Track geladen oder Trackpunkte wurden manuell unter dieser Nummer in die Karte eingegeben.
  • Zum Laden eines Tracks benutzen Sie diese Taste [image] oder, wenn Sie einen Track manuell erstellen wollen, drücken Sie 'hinzufügen' [image] bzw. 'einfügen' [image] und klicken Sie auf die entsprechende Position für den neuen Punkt in der Karte.
  • Neu ersellte oder geänderte Tracks können mit dieser Taste [image] gespeichert werden.
  • Drücken Sie die Taste 'Liste' [image] , um eine Liste aller 5 Tracks anzuzeigen, die Informationen über jeden Track enthält.

Tip: Wenn Sie eine Entfernung messen wollen, klicken Sie auf die Tracknummer-Taste, bis ein leerer Track aktiv ist. Benutzen Sie die 'hinzufügen'- oder 'einfügen'-Taste, um Trackpunkte einzugeben und damit die Entfernung zu markieren, die Sie messen wollen. Öffnen Sie die Trackliste und lesen Sie die Entfernung in der Spalte 'Distance' ab.

Verschieben von Trackpunkten

  • Aktive Trackpunkte (die kleinen weißen Kreise) können mit dem Stift verschoben werden (drag), wenn der Knopf 'Objekt verschieben' [image] aktiv ist (gedrückt).
  • Halten Sie den Stift auf einem aktiven Trackpunkt gedrückt und verschieben Sie ihn; während des Schiebens folgt ein kleines Quadrat dem Stift. Lassen Sie den Stift an der neuen Position los.

Das Popup-Menü
(Stift auf einem aktiven Trackpunkt gedrückt halten, bis das Menü erscheint)

  • Delete Track Point
    = Trackpunkt löschen
  • Create Wp at Tp
    = Wegpunkt am Trackpunkt erstellen
  • Split Track Section
    = Track teilen in Abschnitte
  • Join Track Section
    = Trackabschnitte verbinden.

Track-Liste

Sie listet die 5 Benutzer-Tracks auf;
Sie können damit:

  • Informationen über jeden geladenen Track lesen.
  • die Länge des Tracks in der Spalte 'Distance' ablesen.
  • einen Track auf der Karte lokalisieren und zu dessen Trackpunkt 1 gehen.
  • einen Track von der Karte entfernen oder einen neuen Track hinzuladen.

ozice_b_wptlist_map.gif (918 bytes) | Geht auf der Karte zum ersten Trackpunkt des gewählten Tracks.
 | Entfernt den gewählten Track von der Karte.
 | Lädt eine Trackdatei (*.plt) in die gewählte Zeile.
 | Sichert den gewählten Track in eine Datei.

Der Track-Log

Im Moving Map-Modus (Echtzeit-Tracking) kann der Track automatisch in eine Datei "ceTrack.plt" geloggt werden. Wenn das Tracklogging angeschaltet ist, wird die Datei "ceTrack.plt" immer größer und sollte daher von Zeit zu Zeit gelöscht werden.

Der Track wird gleichzeitig im Arbeitsspeicher geloggt und als 'Schweif' auf der Karte gezeigt (aber nur die letzten 1000 Punkte).

Wenn Sie Ihre Tour aufzeichnen wollen, sollten Sie immer den automatischen Log in die "ceTrack.plt"-Datei benutzen, nicht den Log in den Arbeitsspeicher, da letzterer nur die letzten 1000 Punkte speichert. Er dient nur dazu, den letzten Teil des Tracks zu zeigen.

Anmerkungen:

  • Der komplette Track-Log "ceTrack.plt" kann in eine neue Datei gesichert werden, und zwar über den Menüpunkt File / Track Log / Save Track Log File.
  • Der Bildschirm-Track im Arbeitsspeicher (mit max. 1000 Punkten) kann in eine Datei gesichert werden über den Menüpunkt File / Track Log / Save Track Log (Mem).
  • Die gespeicherten Dateien können in einen der 5 verfügbaren Benutzer-Tracks geladen werden, indem man die Taste 'Track laden' auf der Track-Toolbar benutzt.
  • Ein Track, der mit der PC-Version erstellt wurde, kann auch in den Log (Arbeitsspeicher) geladen werden (Load Track File (Mem)), aber nur die letzten 1000 Punkte. Besser laden Sie ihn in einen der 5 Benutzer-Tracks (siehe oben).

Im Moving Map-Modus ist die Länge des angezeigten Tracks diejenige, die Sie als "Track Tail" konfiguriert haben. Außerhalb des Moving Map-Modus' wird die volle Länge dargestellt, aber nur bis zu 1000 Punkte.


Working with Waypoints

Arbeiten mit Wegpunkten

  • Wegpunkt Liste
  • Wegpunkte editieren
  • Wegpunkt-'Nahbereiche'

Working with Waypoints

Es können auch Wegpunkte aus der PC-Version geladen werden. Jedoch können nicht im vollen Umfang aller Formate dargestellt werden, die auf dem PC zur Verfügung stehen; es wird ein einfaches Format benutzt. Der OziExplorerCE kann die Wegpunkte nur begrenzt beeinflussen: Name und Beschreibung können editiert werden und der Wegpunkt an einen anderen Ort verschoben werden.

Auf dem OziExplorerCE erstellte Wegpunkte können auch in den PC-OziExplorer geladen werden.

Wegpunkte hinzufügen

  1. Benutzen Sie die Taste 'Wegpunkt hinzufügen' auf der Wegpunkt-Toolbar, um Wegpunkte auf der Karte hinzuzufügen.
  2. Ein neuer Wegpunkt kann an der aktuellen Position (Cursor oder GPS) eingefügt werden über den Menüpunkt File / Waypoints / Create Wp at Position oder, falls 'Screen Control' aktiviert ist, einfach durch Drücken auf die Mitte des Bildschirms.

Wegpunkte löschen

Dies geht mit 'Delete Wp' im Popup-Menü durch Gedrückthalten des Stiftes auf dem Wegpunkt, bis das Menü erscheint, oder über die Taste 'Delete' in der Wegpunktliste.

Wegpunkte editieren

Wegpunkte werden über 'Edit Wp' im Popup-Menü editiert oder mit der 'Edit'-Taste in der Wegpunktliste. Zu weiteren Informationen siehe weiter unten.

Benutzung der Wegpunkt-Toolbar
(siehe hier)

  • Mit Hilfe dieser Taste [image] können Wegpunkte eingesetzt werden, indem man auf die Karte tippt.
  • Mit der Löschtaste [image] werden alle Wegpunkte von der Karte entfernt.
  • Die Taste Liste [image] zeigt alle Wegpunkte auf der Karte und Informationen (einschließlich Position in Breite / Länge) über jeden Wegpunkt.
  • Mit den Tasten 'Laden' und 'Speichern' werden Wegpunkt-Dateien geladen / gespeichert.
  • Mit dieser Taste [image] werden die Wegpunktnamen angezeigt. Die Zeichengröße kann in 'Configuration / Waypoints' geändert werden.
  • Das Fenster 'Wegpunkt-Eigenschaften' wird mit Hilfe dieser Taste [image] eingeblendet: Wenn ein neuer Wegpunkt hinzugefügt wird, öffnet es sich und es können Name und Beschreibung geändert werden.

Anm.: Halten Sie den Stift auf einer Toolbar-Taste gdrückt, so wird ein Hinweis zu dieser Taste angezeigt (nur bei Pocket-PCs).

Wegpunkte verschieben

  • Wegpunkte können mit dem Stift verschoben werden (drag), wenn der Knopf 'Objekt verschieben' [image] aktiv ist (gedrückt).
  • Halten Sie den Stift auf einem Wegpunkt gedrückt und verschieben Sie ihn; während des Schiebens folgt ein kleines Quadrat dem Stift. Lassen Sie den Stift an der neuen Position los.

Wegpunkt-Informationen

  • Um Informationen über einen Wegpunkt zu sehen, halten Sie den Stift etwa eine halbe Sekunde auf ihn gedrückt. Lassen Sie los, wenn ein roter Kreis erscheint: Name, Datum und Zeit sowie Koordinaten des Wegpunkts werden 10 Sekunden lang angezeigt. Um das Fenster früher zu entfernen, tippen Sie darauf.

Das Popup-Menü
(Stift auf einem Wegpunkt 1 Sekunde lang gedrückt halten, bis das Menü erscheint)

These options are available on the popup menu.

  • Edit Wp = öffnet das Wegpunkt-Eigenschaften-Fenster
  • Delete Wp = Wegpunkt löschen
  • GoTo Waypoint = beginnt die Navigation zu einem Wegpunkt
  • Add to Route = fügt den Wegpunkt dem Ende einer Route an.

Wegpunkte loggen

Mit dem Menüpunkt 'File / Waypoints / Log Waypoints to File' wird der Log von Wegpunkten gesteuert.

Wenn der Wegpunkt-Log aktiv ist, werden neue Wegpunkte automatisch in der Datei ceWaypoints.wpt gespeichert (und gesichert). Diese Datei kann über das Menü geladen werden oder sie kann automatisch beim Start des OziExplorerCE geladen werden. Neue Wegpunkte werden dieser Datei hinzugefügt, so dass sie ständig größer wird. Von Zeit zu Zeit sollte sie daher gelöscht werden. Diese Datei kann auch in der PC-Version geöffnet werden. Achtung: Falls Wegpunkte nach ihrer Erstellung editiert wurden, werden diese Änderungen nicht in die Logdatei übernommen.

Wegpunkt Liste

Eine einfache Wegpunktliste erlaubt Ihnen:

  • Lokalisierung eines Wegpunktes auf der Karte (Map)
  • Anzeige von Infos über einen Wegpunkt (Beschreibung, Koordinaten)
  • Löschung (Delete) oder Änderung der Eigenschaften (Edit)
  • Start der Navigation zu einem Wegpunkt (goTo).

ozice_b_wptlist_roll.gif (888 bytes) | Rollt das Listenfenster nach oben, um die Karte zu sehen.
ozice_b_wptlist_map.gif (918 bytes) | Zeigt den gewählten Wegpunkt in der Karte.
ozice_b_wptlist_goto.gif (916 bytes) | Navigiert zum gewählten Wegpunkt.
 | Editiert die Eigenschaften des gewählten Wegpunktes.
ozice_b_wptlist_del.gif (925 bytes) | Löscht den Wegpunkt von der Karte. Der Wegpunkt wird zunächst als "Deleted" (gelöscht) markiert, wird aber erst endgültig nach Drücken des ok-Knopfs gelöscht.

Wegpunkte editieren

Wegpunkte werden über 'Edit Wp' im Popup-Menü editiert oder mit der 'Edit'-Taste in der Wegpunktliste.

Name - Geben Sie den Wegpunktnamen ein. Namen können bis zu 250 Zeichen lang sein, aber der Einfachheit halber sollten sie nicht übermäßig lang sein.

Description - Beschreibung - Geben Sie eine Beschreibung des Wegpunktes ein. Sie kann bis zu 250 Zeichen lang sein.

Edit Position - Ermöglicht die Änderung der Position eines Wegpunktes. Zu Details siehe Position ändern.

Wegpunkt-'Nahbereiche' - (proximity)

Wegpunkte können mit einem 'Nahbereich' versehen werden. Bei Eintritt Ihres GPS in diese Zone können bestimmte Aktionen ausgelöst werden.

Der PC-OziExplorer ab Version 3.90.3d kann Sound-Dateien (.wav) und Symbole anhängen, die bei Eintritt in einen Wegpunkt-Nahbereich abgespielt bzw. angezeigt werden. Der OziExplorerCE spielt diese angehängten Dateien ebenfalls ab, bzw. zeigt sie an. Diese Dateien müssen in die Ordner SoundFiles und PSymbols unterhalb von OziExplorer auf Ihr Gerät kopiert werden.

Bei einigen CEs müssen die Sound-Dateien im PCM-Format mit 11,025 KHz 16 bit mono gespeichert sein. Ihr Soundprogramm auf dem PC kann die Dateien entsprechend formatieren.


OziExplorer CE Help

Please read this help file thoroughly.

Contents

  • Introduction
  • History of Changes
  • CE Devices Supported
  • Installation
  • GPS Requirements
  • Map Requirements
  • Using OziExplorerCE [image] help on using OziExplorerCE
  • Image Formats Supported
  • Using Img2Ozf
  • Making Sound Files
  • Registered/Unregistered Features
  • Conditions of Use


Making Sound Files

These websites have online Text-to-Speech Synthesis engines which allow you to enter the text you want converted to a (.wav) file. The file will be downloaded to you and Windows Media Player or similar will be run. Save the wav file using "Save As" option on the File Menu.

AT&T Labs (good voices, several languages and choice of file format before download to you)

Festival (Festvox) (english, spanish)

Note: For some CE devices the sound files must be saved in this format PCM 11.025KHz 16 bit mono, The sound recorder program on a PC can convert sound files to this format.

Sound Files are stored in the Sound Files folder attached to the OziExplorer folder.

To have OziExplorerCE play the new sound file it must be saved using the same name as the one you want to replace. The names of all the sound file used internally by OziExplorerCE start with "ozi_".

Example : the file ozi_turn_left.wav contains the speech "turn left".

Hints:

  • Keep sound files as brief as possible.
  • By using a sound editing program, you can remove blank "no sound" space from the file.